/**********************************************************************
Copyright (c) 2005, 2008 IBM Corporation and others.
All rights reserved.  This program and the accompanying materials
are made available under the terms of the Eclipse Public License v1.0
which accompanies this distribution, and is available at
http://www.eclipse.org/legal/epl-v10.html
$Id: UserDefinition.java,v 1.6 2008-11-13 20:00:48 jkubasta Exp $

Contributors:
 IBM Rational - initial implementation
**********************************************************************/
package org.eclipse.tptp.platform.agentcontroller.config;

import org.w3c.dom.Element;

public class UserDefinition extends ConfigElement {
	public final static String TAG = ConfigUtility.getString("Config.UserDefinition.Tag");

	public static void setAuthenticationType(Element elem, String value) {
//		elem.setAttribute(ConfigUtility.getString("Config.UserDefinition.AuthenticationType.Tag"), value);
	}

	public static void setName(Element elem, String value) {
		elem.setAttribute(ConfigUtility.getString("Config.UserDefinition.Name.Tag"), value);
	}
	
	public static void setUserType(Element elem, String value) {
		elem.setAttribute(ConfigUtility.getString("Config.UserDefinition.User.Type.Tag"), value);
	}
	
	public static void setUserlist(Element elem, String value) {
		elem.setAttribute(ConfigUtility.getString("Config.UserDefinition.User.List.Tag"), value);
	}
	
}
