/**********************************************************************
 Copyright (c) 2005 IBM Corporation and others.
 All rights reserved.  This program and the accompanying materials
 are made available under the terms of the Eclipse Public License v1.0
 which accompanies this distribution, and is available at
 http://www.eclipse.org/legal/epl-v10.html
 $Id: UnknownDaemonException.java,v 1.4 2005-10-08 14:28:50 sschneid Exp $
 
 Contributors:
 SCAPA Technologies - initial implementation
 **********************************************************************/

package org.eclipse.hyades.execution.core;

/**
 * <p>
 * This exception is thrown to indicate that the specified daemon type is not
 * supported
 * </p>
 * 
 * @version 0.0.1
 */
public class UnknownDaemonException extends Exception {

	/**
	 * Stream-Unique IDentifier (SUID) of this class
	 */
	private static final long serialVersionUID = -4022301037032544272L;

	public UnknownDaemonException() {
	}

	public UnknownDaemonException(String message) {
		super(message);
	}

}
