/********************************************************************** 
 * Copyright (c) 2005 IBM Corporation and others. 
 * All rights reserved.   This program and the accompanying materials 
 * are made available under the terms of the Eclipse Public License v1.0 
 * which accompanies this distribution, and is available at 
 * http://www.eclipse.org/legal/epl-v10.html 
 * $Id: IFileManipulationCommand.java,v 1.3 2005-09-14 23:38:03 sschneid Exp $ 
 * 
 * Contributors: 
 * IBM - Initial API and implementation 
 **********************************************************************/

package org.eclipse.hyades.internal.execution.core.file;

/**
 * The file manipulation command, highlighting the hierarchy of the file server
 * commands, implemented by commands that manipulate files on the server
 * 
 * @author Scott E. Schneider
 */
public interface IFileManipulationCommand extends IFileServerCommand {
}
