/********************************************************************** 
 * Copyright (c) 2005 IBM Corporation and others. 
 * All rights reserved.   This program and the accompanying materials 
 * are made available under the terms of the Eclipse Public License v1.0 
 * which accompanies this distribution, and is available at 
 * http://www.eclipse.org/legal/epl-v10.html 
 * $Id: IListContentCommand.java,v 1.3 2005-09-14 23:38:03 sschneid Exp $ 
 * 
 * Contributors: 
 * IBM - Initial API and implementation 
 **********************************************************************/

package org.eclipse.hyades.internal.execution.core.file;

/**
 * The list content command interface, a specialized file inspection command
 * that is used to list the content of a given directory or folder, basically an
 * "ls" or "dir" file command.
 * 
 * @author Scott E. Schneider
 */
public interface IListContentCommand extends IFileInspectionCommand {
}
