/**********************************************************************
 * Copyright (c) 2003, 2007 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: Constants.java,v 1.1 2007-11-27 04:28:46 apnan Exp $
 *
 * Contributors:
 * IBM - Initial API and implementation
 **********************************************************************/
package org.eclipse.hyades.loaders.hierarchy;


/**
 * @author slavescu
 *
 */
public class Constants {
    
	//~ Static fields/initializers -----------------------------------------------------------------

    public static final String LOGGING_UTIL_PROCESS_ID = "logging.util.process_id";
    public static final String LOGGING_UTIL_AGENT_ID = "logging.util.agent_id";
    public static final String LOGGING_UTIL_AGENT_NAME = "logging.util.agent_name";
    public static final String LOGGING_UTIL_AGENT_TYPE = "logging.util.agent_type";
    public static final String LOGGING_UTIL_AGENT_PARAMETERS = "logging.util.agent_parameters";
    public static final String LOGGING_UTIL_AGENT_VERSION = "logging.util.agent_version";
    public static final String LOGGING_UTIL_PROCESS_APPLICATION = "logging.util.process_application_execution";

    public static final String LOGGING_UTIL_NODE_IDREF = "logging.util.node_idref";
    public static final String LOGGING_UTIL_PROCESS_IDREF = "logging.util.process_idref";
    public static final String LOGGING_UTIL_AGENT_IDREF = "logging.util.agent_idref";
    public static final String LOGGING_UTIL_HOSTNAME = "logging.util.hostname";
    public static final String LOGGING_UTIL_IPADDRESS = "logging.util.ipaddress";
    public static final String LOGGING_UTIL_PID = "logging.util.pid";
    public static final String LOGGING_UTIL_TIME = "logging.util.time";
    public static final String LOGGING_UTIL_TIME_ZONE = "logging.util.timezone";
    
    // loaders' options
    public static final String MULTIPLE_HEAP_DUMPS = "MULTIPLE_HEAP_DUMPS";
    public static final String LLDATA_ENABLED = "LLDATA_ENABLED";
	public static final String VIEW_PAGE_SIZE = "VIEW_PAGE_SIZE";
	
	public static final String NOT_IMPLEMENTED_YET = "not implemented yet";
	
	public static final String UNKNOWN = "unknown";

    
}
