/*******************************************************************************
 * Copyright (c) 2008 Intel Corporation.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Stanislav Polevic, Intel - Initial API and Implementation 
 * 	  
 * $Id: IgnoredBinaryFragmentLoader.java,v 1.2 2008-03-24 23:13:18 jkubasta Exp $ 
 *******************************************************************************/
package org.eclipse.hyades.loaders.internal.binary;

import org.eclipse.hyades.loaders.hierarchy.IgnoredXMLFragmentLoader;
import org.eclipse.hyades.loaders.util.BinaryFragmentLoader;

public class IgnoredBinaryFragmentLoader extends IgnoredXMLFragmentLoader implements BinaryFragmentLoader {

	public void addAttribute(String name, byte value) {
	}

	public void addAttribute(String name, short value) {
	}

	public void addAttribute(String name, int value) {
	}

	public void addAttribute(String name, long value) {
	}

	public void addAttribute(String name, double value) {
	}

}
