/**********************************************************************
 * Copyright (c) 2003, 2009 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: StatisticalPackageImpl.java,v 1.5 2009-05-13 13:20:11 paules Exp $
 *
 * Contributors:
 * IBM - Initial API and implementation
 **********************************************************************/
 
/*
 * generated using Hyades customized JET templates
 */

package org.eclipse.hyades.model.statistical.impl;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;
import org.eclipse.emf.ecore.impl.EPackageImpl;
import org.eclipse.hyades.model.statistical.SDContiguousObservation;
import org.eclipse.hyades.model.statistical.SDContiguousRepresentation;
import org.eclipse.hyades.model.statistical.SDCounterDescriptor;
import org.eclipse.hyades.model.statistical.SDDescriptor;
import org.eclipse.hyades.model.statistical.SDDiscreteObservation;
import org.eclipse.hyades.model.statistical.SDDiscreteRepresentation;
import org.eclipse.hyades.model.statistical.SDGaugeRepresentation;
import org.eclipse.hyades.model.statistical.SDMemberDescriptor;
import org.eclipse.hyades.model.statistical.SDRangeRepresentation;
import org.eclipse.hyades.model.statistical.SDRepresentation;
import org.eclipse.hyades.model.statistical.SDSampleDescriptor;
import org.eclipse.hyades.model.statistical.SDSampleWindow;
import org.eclipse.hyades.model.statistical.SDSnapshotObservation;
import org.eclipse.hyades.model.statistical.SDTextObservation;
import org.eclipse.hyades.model.statistical.SDTextRepresentation;
import org.eclipse.hyades.model.statistical.SDView;
import org.eclipse.hyades.model.statistical.StatisticalFactory;
import org.eclipse.hyades.model.statistical.StatisticalPackage;
import org.eclipse.hyades.models.hierarchy.HierarchyPackage;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model <b>Package</b>.
 * <!-- end-user-doc -->
 * @generated
 */
public class StatisticalPackageImpl extends EPackageImpl implements StatisticalPackage {
	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass sdDescriptorEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass sdMemberDescriptorEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass sdGaugeRepresentationEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass sdSampleDescriptorEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass sdViewEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass sdSampleWindowEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass sdSnapshotObservationEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass sdDiscreteObservationEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass sdContiguousObservationEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass sdTextObservationEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass sdRangeRepresentationEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass sdCounterDescriptorEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass sdRepresentationEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass sdTextRepresentationEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass sdDiscreteRepresentationEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass sdContiguousRepresentationEClass = null;

	/**
	 * Creates an instance of the model <b>Package</b>, registered with
	 * {@link org.eclipse.emf.ecore.EPackage.Registry EPackage.Registry} by the package
	 * package URI value.
	 * <p>Note: the correct way to create the package is via the static
	 * factory method {@link #init init()}, which also performs
	 * initialization of the package, or returns the registered package,
	 * if one already exists.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.emf.ecore.EPackage.Registry
	 * @see org.eclipse.hyades.model.statistical.StatisticalPackage#eNS_URI
	 * @see #init()
	 * @generated
	 */
	private StatisticalPackageImpl() {
		super(eNS_URI, StatisticalFactory.eINSTANCE);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private static boolean isInited = false;

	/**
	 * Creates, registers, and initializes the <b>Package</b> for this model, and for any others upon which it depends.
	 * 
	 * <p>This method is used to initialize {@link StatisticalPackage#eINSTANCE} when that field is accessed.
	 * Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #eNS_URI
	 * @see #createPackageContents()
	 * @see #initializePackageContents()
	 * @generated
	 */
	public static StatisticalPackage init() {
		if (isInited) return (StatisticalPackage)EPackage.Registry.INSTANCE.getEPackage(StatisticalPackage.eNS_URI);

		// Obtain or create and register package
		StatisticalPackageImpl theStatisticalPackage = (StatisticalPackageImpl)(EPackage.Registry.INSTANCE.get(eNS_URI) instanceof StatisticalPackageImpl ? EPackage.Registry.INSTANCE.get(eNS_URI) : new StatisticalPackageImpl());

		isInited = true;

		// Initialize simple dependencies
		HierarchyPackage.eINSTANCE.eClass();

		// Create package meta-data objects
		theStatisticalPackage.createPackageContents();

		// Initialize created meta-data
		theStatisticalPackage.initializePackageContents();

		// Mark meta-data to indicate it can't be changed
		theStatisticalPackage.freeze();

  
		// Update the registry and return the package
		EPackage.Registry.INSTANCE.put(StatisticalPackage.eNS_URI, theStatisticalPackage);
		return theStatisticalPackage;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getSDDescriptor() {
		return sdDescriptorEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getSDDescriptor_Id() {
		return (EAttribute)sdDescriptorEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getSDDescriptor_Description() {
		return (EAttribute)sdDescriptorEClass.getEStructuralFeatures().get(2);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getSDDescriptor_Name() {
		return (EAttribute)sdDescriptorEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getSDDescriptor_Children() {
		return (EReference)sdDescriptorEClass.getEStructuralFeatures().get(3);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getSDDescriptor_Parent() {
		return (EReference)sdDescriptorEClass.getEStructuralFeatures().get(4);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getSDMemberDescriptor() {
		return sdMemberDescriptorEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getSDMemberDescriptor_Representation() {
		return (EReference)sdMemberDescriptorEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getSDMemberDescriptor_SnapshotObservation() {
		return (EReference)sdMemberDescriptorEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getSDGaugeRepresentation() {
		return sdGaugeRepresentationEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getSDGaugeRepresentation_MaxThreshold() {
		return (EAttribute)sdGaugeRepresentationEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getSDGaugeRepresentation_MinThreshold() {
		return (EAttribute)sdGaugeRepresentationEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getSDSampleDescriptor() {
		return sdSampleDescriptorEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getSDSampleDescriptor_UpdateFrequencey() {
		return (EAttribute)sdSampleDescriptorEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getSDView() {
		return sdViewEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getSDView_Name() {
		return (EAttribute)sdViewEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getSDView_Window() {
		return (EReference)sdViewEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getSDSampleWindow() {
		return sdSampleWindowEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getSDSampleWindow_View() {
		return (EReference)sdSampleWindowEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getSDSampleWindow_Observations() {
		return (EReference)sdSampleWindowEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getSDSnapshotObservation() {
		return sdSnapshotObservationEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getSDSnapshotObservation_ValidityMask() {
		return (EAttribute)sdSnapshotObservationEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getSDSnapshotObservation_CreationTime() {
		return (EAttribute)sdSnapshotObservationEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getSDSnapshotObservation_MemberDescriptor() {
		return (EReference)sdSnapshotObservationEClass.getEStructuralFeatures().get(2);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getSDSnapshotObservation_Window() {
		return (EReference)sdSnapshotObservationEClass.getEStructuralFeatures().get(3);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getSDDiscreteObservation() {
		return sdDiscreteObservationEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getSDDiscreteObservation_Value() {
		return (EAttribute)sdDiscreteObservationEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getSDContiguousObservation() {
		return sdContiguousObservationEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getSDContiguousObservation_Value() {
		return (EAttribute)sdContiguousObservationEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getSDTextObservation() {
		return sdTextObservationEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getSDTextObservation_TextValue() {
		return (EAttribute)sdTextObservationEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getSDRangeRepresentation() {
		return sdRangeRepresentationEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getSDRangeRepresentation_Min() {
		return (EAttribute)sdRangeRepresentationEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getSDRangeRepresentation_Max() {
		return (EAttribute)sdRangeRepresentationEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getSDCounterDescriptor() {
		return sdCounterDescriptorEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getSDRepresentation() {
		return sdRepresentationEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getSDRepresentation_MemberDescriptor() {
		return (EReference)sdRepresentationEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getSDTextRepresentation() {
		return sdTextRepresentationEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getSDDiscreteRepresentation() {
		return sdDiscreteRepresentationEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getSDContiguousRepresentation() {
		return sdContiguousRepresentationEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public StatisticalFactory getStatisticalFactory() {
		return (StatisticalFactory)getEFactoryInstance();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private boolean isCreated = false;

	/**
	 * Creates the meta-model objects for the package.  This method is
	 * guarded to have no affect on any invocation but its first.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void createPackageContents() {
		if (isCreated) return;
		isCreated = true;

		// Create classes and their features
		sdDescriptorEClass = createEClass(SD_DESCRIPTOR);
		createEAttribute(sdDescriptorEClass, SD_DESCRIPTOR__ID);
		createEAttribute(sdDescriptorEClass, SD_DESCRIPTOR__NAME);
		createEAttribute(sdDescriptorEClass, SD_DESCRIPTOR__DESCRIPTION);
		createEReference(sdDescriptorEClass, SD_DESCRIPTOR__CHILDREN);
		createEReference(sdDescriptorEClass, SD_DESCRIPTOR__PARENT);

		sdMemberDescriptorEClass = createEClass(SD_MEMBER_DESCRIPTOR);
		createEReference(sdMemberDescriptorEClass, SD_MEMBER_DESCRIPTOR__REPRESENTATION);
		createEReference(sdMemberDescriptorEClass, SD_MEMBER_DESCRIPTOR__SNAPSHOT_OBSERVATION);

		sdGaugeRepresentationEClass = createEClass(SD_GAUGE_REPRESENTATION);
		createEAttribute(sdGaugeRepresentationEClass, SD_GAUGE_REPRESENTATION__MAX_THRESHOLD);
		createEAttribute(sdGaugeRepresentationEClass, SD_GAUGE_REPRESENTATION__MIN_THRESHOLD);

		sdSampleDescriptorEClass = createEClass(SD_SAMPLE_DESCRIPTOR);
		createEAttribute(sdSampleDescriptorEClass, SD_SAMPLE_DESCRIPTOR__UPDATE_FREQUENCEY);

		sdViewEClass = createEClass(SD_VIEW);
		createEAttribute(sdViewEClass, SD_VIEW__NAME);
		createEReference(sdViewEClass, SD_VIEW__WINDOW);

		sdSampleWindowEClass = createEClass(SD_SAMPLE_WINDOW);
		createEReference(sdSampleWindowEClass, SD_SAMPLE_WINDOW__VIEW);
		createEReference(sdSampleWindowEClass, SD_SAMPLE_WINDOW__OBSERVATIONS);

		sdSnapshotObservationEClass = createEClass(SD_SNAPSHOT_OBSERVATION);
		createEAttribute(sdSnapshotObservationEClass, SD_SNAPSHOT_OBSERVATION__VALIDITY_MASK);
		createEAttribute(sdSnapshotObservationEClass, SD_SNAPSHOT_OBSERVATION__CREATION_TIME);
		createEReference(sdSnapshotObservationEClass, SD_SNAPSHOT_OBSERVATION__MEMBER_DESCRIPTOR);
		createEReference(sdSnapshotObservationEClass, SD_SNAPSHOT_OBSERVATION__WINDOW);

		sdDiscreteObservationEClass = createEClass(SD_DISCRETE_OBSERVATION);
		createEAttribute(sdDiscreteObservationEClass, SD_DISCRETE_OBSERVATION__VALUE);

		sdContiguousObservationEClass = createEClass(SD_CONTIGUOUS_OBSERVATION);
		createEAttribute(sdContiguousObservationEClass, SD_CONTIGUOUS_OBSERVATION__VALUE);

		sdTextObservationEClass = createEClass(SD_TEXT_OBSERVATION);
		createEAttribute(sdTextObservationEClass, SD_TEXT_OBSERVATION__TEXT_VALUE);

		sdRangeRepresentationEClass = createEClass(SD_RANGE_REPRESENTATION);
		createEAttribute(sdRangeRepresentationEClass, SD_RANGE_REPRESENTATION__MIN);
		createEAttribute(sdRangeRepresentationEClass, SD_RANGE_REPRESENTATION__MAX);

		sdCounterDescriptorEClass = createEClass(SD_COUNTER_DESCRIPTOR);

		sdRepresentationEClass = createEClass(SD_REPRESENTATION);
		createEReference(sdRepresentationEClass, SD_REPRESENTATION__MEMBER_DESCRIPTOR);

		sdTextRepresentationEClass = createEClass(SD_TEXT_REPRESENTATION);

		sdDiscreteRepresentationEClass = createEClass(SD_DISCRETE_REPRESENTATION);

		sdContiguousRepresentationEClass = createEClass(SD_CONTIGUOUS_REPRESENTATION);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private boolean isInitialized = false;

	/**
	 * Complete the initialization of the package and its meta-model.  This
	 * method is guarded to have no affect on any invocation but its first.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void initializePackageContents() {
		if (isInitialized) return;
		isInitialized = true;

		// Initialize package
		setName(eNAME);
		setNsPrefix(eNS_PREFIX);
		setNsURI(eNS_URI);

		// Obtain other dependent packages
		HierarchyPackage theHierarchyPackage = (HierarchyPackage)EPackage.Registry.INSTANCE.getEPackage(HierarchyPackage.eNS_URI);

		// Create type parameters

		// Set bounds for type parameters

		// Add supertypes to classes
		sdDescriptorEClass.getESuperTypes().add(theHierarchyPackage.getAbstractTRCDescription());
		sdMemberDescriptorEClass.getESuperTypes().add(this.getSDDescriptor());
		sdGaugeRepresentationEClass.getESuperTypes().add(this.getSDRangeRepresentation());
		sdSampleDescriptorEClass.getESuperTypes().add(this.getSDMemberDescriptor());
		sdViewEClass.getESuperTypes().add(theHierarchyPackage.getAbstractTRCView());
		sdDiscreteObservationEClass.getESuperTypes().add(this.getSDSnapshotObservation());
		sdContiguousObservationEClass.getESuperTypes().add(this.getSDSnapshotObservation());
		sdTextObservationEClass.getESuperTypes().add(this.getSDSnapshotObservation());
		sdRangeRepresentationEClass.getESuperTypes().add(this.getSDDiscreteRepresentation());
		sdCounterDescriptorEClass.getESuperTypes().add(this.getSDMemberDescriptor());
		sdTextRepresentationEClass.getESuperTypes().add(this.getSDRepresentation());
		sdDiscreteRepresentationEClass.getESuperTypes().add(this.getSDRepresentation());
		sdContiguousRepresentationEClass.getESuperTypes().add(this.getSDRepresentation());

		// Initialize classes and features; add operations and parameters
		initEClass(sdDescriptorEClass, SDDescriptor.class, "SDDescriptor", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEAttribute(getSDDescriptor_Id(), ecorePackage.getEString(), "id", null, 0, 1, SDDescriptor.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getSDDescriptor_Name(), ecorePackage.getEString(), "name", null, 0, 1, SDDescriptor.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getSDDescriptor_Description(), ecorePackage.getEString(), "description", null, 0, 1, SDDescriptor.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getSDDescriptor_Children(), this.getSDDescriptor(), this.getSDDescriptor_Parent(), "children", null, 0, -1, SDDescriptor.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getSDDescriptor_Parent(), this.getSDDescriptor(), this.getSDDescriptor_Children(), "parent", null, 0, 1, SDDescriptor.class, IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(sdMemberDescriptorEClass, SDMemberDescriptor.class, "SDMemberDescriptor", IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEReference(getSDMemberDescriptor_Representation(), this.getSDRepresentation(), this.getSDRepresentation_MemberDescriptor(), "representation", null, 1, 1, SDMemberDescriptor.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getSDMemberDescriptor_SnapshotObservation(), this.getSDSnapshotObservation(), this.getSDSnapshotObservation_MemberDescriptor(), "snapshotObservation", null, 0, -1, SDMemberDescriptor.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(sdGaugeRepresentationEClass, SDGaugeRepresentation.class, "SDGaugeRepresentation", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEAttribute(getSDGaugeRepresentation_MaxThreshold(), ecorePackage.getEInt(), "maxThreshold", null, 0, 1, SDGaugeRepresentation.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getSDGaugeRepresentation_MinThreshold(), ecorePackage.getEInt(), "minThreshold", null, 0, 1, SDGaugeRepresentation.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(sdSampleDescriptorEClass, SDSampleDescriptor.class, "SDSampleDescriptor", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEAttribute(getSDSampleDescriptor_UpdateFrequencey(), ecorePackage.getEDouble(), "updateFrequencey", null, 0, 1, SDSampleDescriptor.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(sdViewEClass, SDView.class, "SDView", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEAttribute(getSDView_Name(), ecorePackage.getEString(), "name", null, 0, 1, SDView.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getSDView_Window(), this.getSDSampleWindow(), this.getSDSampleWindow_View(), "window", null, 0, -1, SDView.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(sdSampleWindowEClass, SDSampleWindow.class, "SDSampleWindow", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEReference(getSDSampleWindow_View(), this.getSDView(), this.getSDView_Window(), "view", null, 0, 1, SDSampleWindow.class, IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getSDSampleWindow_Observations(), this.getSDSnapshotObservation(), this.getSDSnapshotObservation_Window(), "observations", null, 0, -1, SDSampleWindow.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(sdSnapshotObservationEClass, SDSnapshotObservation.class, "SDSnapshotObservation", IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEAttribute(getSDSnapshotObservation_ValidityMask(), ecorePackage.getEByte(), "validityMask", null, 0, -1, SDSnapshotObservation.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, !IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getSDSnapshotObservation_CreationTime(), ecorePackage.getEDouble(), "creationTime", null, 0, -1, SDSnapshotObservation.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, !IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getSDSnapshotObservation_MemberDescriptor(), this.getSDMemberDescriptor(), this.getSDMemberDescriptor_SnapshotObservation(), "memberDescriptor", null, 1, 1, SDSnapshotObservation.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getSDSnapshotObservation_Window(), this.getSDSampleWindow(), this.getSDSampleWindow_Observations(), "window", null, 1, 1, SDSnapshotObservation.class, IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(sdDiscreteObservationEClass, SDDiscreteObservation.class, "SDDiscreteObservation", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEAttribute(getSDDiscreteObservation_Value(), ecorePackage.getEInt(), "value", null, 0, -1, SDDiscreteObservation.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, !IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(sdContiguousObservationEClass, SDContiguousObservation.class, "SDContiguousObservation", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEAttribute(getSDContiguousObservation_Value(), ecorePackage.getEDouble(), "value", null, 0, -1, SDContiguousObservation.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, !IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(sdTextObservationEClass, SDTextObservation.class, "SDTextObservation", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEAttribute(getSDTextObservation_TextValue(), ecorePackage.getEString(), "textValue", null, 0, -1, SDTextObservation.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, !IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(sdRangeRepresentationEClass, SDRangeRepresentation.class, "SDRangeRepresentation", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEAttribute(getSDRangeRepresentation_Min(), ecorePackage.getEInt(), "min", null, 0, 1, SDRangeRepresentation.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getSDRangeRepresentation_Max(), ecorePackage.getEInt(), "max", null, 0, 1, SDRangeRepresentation.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(sdCounterDescriptorEClass, SDCounterDescriptor.class, "SDCounterDescriptor", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

		initEClass(sdRepresentationEClass, SDRepresentation.class, "SDRepresentation", IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEReference(getSDRepresentation_MemberDescriptor(), this.getSDMemberDescriptor(), this.getSDMemberDescriptor_Representation(), "memberDescriptor", null, 1, 1, SDRepresentation.class, IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(sdTextRepresentationEClass, SDTextRepresentation.class, "SDTextRepresentation", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

		initEClass(sdDiscreteRepresentationEClass, SDDiscreteRepresentation.class, "SDDiscreteRepresentation", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

		initEClass(sdContiguousRepresentationEClass, SDContiguousRepresentation.class, "SDContiguousRepresentation", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

		// Create resource
		createResource(eNS_URI);
	}
} //StatisticalPackageImpl
