/**********************************************************************
 * Copyright (c) 2003, 2009 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 * IBM - Initial API and implementation
 *
 * $Id: HyadesProcessorTypeEnumerationImpl.java,v 1.10 2009-05-05 15:46:20 paules Exp $
 **********************************************************************/
 
/*
 * generated using TPTP customized JET templates
 */

package org.eclipse.hyades.models.common.configuration.impl;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.impl.ENotificationImpl;
import org.eclipse.hyades.models.common.configuration.Common_ConfigurationFactory;
import org.eclipse.hyades.models.common.configuration.Common_ConfigurationPackage;
import org.eclipse.hyades.models.common.configuration.HyadesProcessorTypeEnumeration;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>Hyades Processor Type Enumeration</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.impl.HyadesProcessorTypeEnumerationImpl#getPR_1 <em>PR 1</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.impl.HyadesProcessorTypeEnumerationImpl#getPR_2 <em>PR 2</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.impl.HyadesProcessorTypeEnumerationImpl#getPR_3 <em>PR 3</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.impl.HyadesProcessorTypeEnumerationImpl#getPR_4 <em>PR 4</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.impl.HyadesProcessorTypeEnumerationImpl#getPR_5 <em>PR 5</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.impl.HyadesProcessorTypeEnumerationImpl#getPR_6 <em>PR 6</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.impl.HyadesProcessorTypeEnumerationImpl#getPR_7 <em>PR 7</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.impl.HyadesProcessorTypeEnumerationImpl#getPR_8 <em>PR 8</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.impl.HyadesProcessorTypeEnumerationImpl#getPR_9 <em>PR 9</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.impl.HyadesProcessorTypeEnumerationImpl#getPR_10 <em>PR 10</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.impl.HyadesProcessorTypeEnumerationImpl#getPR_11 <em>PR 11</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.impl.HyadesProcessorTypeEnumerationImpl#getPR_12 <em>PR 12</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.impl.HyadesProcessorTypeEnumerationImpl#getPR_13 <em>PR 13</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.impl.HyadesProcessorTypeEnumerationImpl#getPR_14 <em>PR 14</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.impl.HyadesProcessorTypeEnumerationImpl#getPR_15 <em>PR 15</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.impl.HyadesProcessorTypeEnumerationImpl#getPR_16 <em>PR 16</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.impl.HyadesProcessorTypeEnumerationImpl#getPR_17 <em>PR 17</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.impl.HyadesProcessorTypeEnumerationImpl#getPR_18 <em>PR 18</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.impl.HyadesProcessorTypeEnumerationImpl#getPR_19 <em>PR 19</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.impl.HyadesProcessorTypeEnumerationImpl#getPR_50 <em>PR 50</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.impl.HyadesProcessorTypeEnumerationImpl#getPR_51 <em>PR 51</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.impl.HyadesProcessorTypeEnumerationImpl#getPR_52 <em>PR 52</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.impl.HyadesProcessorTypeEnumerationImpl#getPR_53 <em>PR 53</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.impl.HyadesProcessorTypeEnumerationImpl#getPR_54 <em>PR 54</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.impl.HyadesProcessorTypeEnumerationImpl#getPR_55 <em>PR 55</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.impl.HyadesProcessorTypeEnumerationImpl#getPR_56 <em>PR 56</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.impl.HyadesProcessorTypeEnumerationImpl#getPR_57 <em>PR 57</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.impl.HyadesProcessorTypeEnumerationImpl#getPR_58 <em>PR 58</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.impl.HyadesProcessorTypeEnumerationImpl#getPR_59 <em>PR 59</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.configuration.impl.HyadesProcessorTypeEnumerationImpl#getPR_60 <em>PR 60</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
public class HyadesProcessorTypeEnumerationImpl extends CFGPsudoEnumerationImpl implements HyadesProcessorTypeEnumeration {
	/**
	 * The default value of the '{@link #getPR_1() <em>PR 1</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPR_1()
	 * @generated
	 * @ordered
	 */
	protected static final String PR_1_EDEFAULT = "PR.Intel.8086";

	/**
	 * The cached value of the '{@link #getPR_1() <em>PR 1</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPR_1()
	 * @generated
	 * @ordered
	 */
	protected String pR_1 = PR_1_EDEFAULT;

	/**
	 * The default value of the '{@link #getPR_2() <em>PR 2</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPR_2()
	 * @generated
	 * @ordered
	 */
	protected static final String PR_2_EDEFAULT = "PR.Intel.8088";

	/**
	 * The cached value of the '{@link #getPR_2() <em>PR 2</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPR_2()
	 * @generated
	 * @ordered
	 */
	protected String pR_2 = PR_2_EDEFAULT;

	/**
	 * The default value of the '{@link #getPR_3() <em>PR 3</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPR_3()
	 * @generated
	 * @ordered
	 */
	protected static final String PR_3_EDEFAULT = "PR.Intel.80286";

	/**
	 * The cached value of the '{@link #getPR_3() <em>PR 3</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPR_3()
	 * @generated
	 * @ordered
	 */
	protected String pR_3 = PR_3_EDEFAULT;

	/**
	 * The default value of the '{@link #getPR_4() <em>PR 4</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPR_4()
	 * @generated
	 * @ordered
	 */
	protected static final String PR_4_EDEFAULT = "PR.Intel.80386";

	/**
	 * The cached value of the '{@link #getPR_4() <em>PR 4</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPR_4()
	 * @generated
	 * @ordered
	 */
	protected String pR_4 = PR_4_EDEFAULT;

	/**
	 * The default value of the '{@link #getPR_5() <em>PR 5</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPR_5()
	 * @generated
	 * @ordered
	 */
	protected static final String PR_5_EDEFAULT = "PR.Intel.80486";

	/**
	 * The cached value of the '{@link #getPR_5() <em>PR 5</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPR_5()
	 * @generated
	 * @ordered
	 */
	protected String pR_5 = PR_5_EDEFAULT;

	/**
	 * The default value of the '{@link #getPR_6() <em>PR 6</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPR_6()
	 * @generated
	 * @ordered
	 */
	protected static final String PR_6_EDEFAULT = "PR.Intel.Pentium";

	/**
	 * The cached value of the '{@link #getPR_6() <em>PR 6</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPR_6()
	 * @generated
	 * @ordered
	 */
	protected String pR_6 = PR_6_EDEFAULT;

	/**
	 * The default value of the '{@link #getPR_7() <em>PR 7</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPR_7()
	 * @generated
	 * @ordered
	 */
	protected static final String PR_7_EDEFAULT = "PR.Intel.Pentium Pro";

	/**
	 * The cached value of the '{@link #getPR_7() <em>PR 7</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPR_7()
	 * @generated
	 * @ordered
	 */
	protected String pR_7 = PR_7_EDEFAULT;

	/**
	 * The default value of the '{@link #getPR_8() <em>PR 8</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPR_8()
	 * @generated
	 * @ordered
	 */
	protected static final String PR_8_EDEFAULT = "PR.Intel.Pentium MMX";

	/**
	 * The cached value of the '{@link #getPR_8() <em>PR 8</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPR_8()
	 * @generated
	 * @ordered
	 */
	protected String pR_8 = PR_8_EDEFAULT;

	/**
	 * The default value of the '{@link #getPR_9() <em>PR 9</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPR_9()
	 * @generated
	 * @ordered
	 */
	protected static final String PR_9_EDEFAULT = "PR.Intel.Pentium II";

	/**
	 * The cached value of the '{@link #getPR_9() <em>PR 9</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPR_9()
	 * @generated
	 * @ordered
	 */
	protected String pR_9 = PR_9_EDEFAULT;

	/**
	 * The default value of the '{@link #getPR_10() <em>PR 10</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPR_10()
	 * @generated
	 * @ordered
	 */
	protected static final String PR_10_EDEFAULT = "PR.Intel.Pentium II Xeon";

	/**
	 * The cached value of the '{@link #getPR_10() <em>PR 10</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPR_10()
	 * @generated
	 * @ordered
	 */
	protected String pR_10 = PR_10_EDEFAULT;

	/**
	 * The default value of the '{@link #getPR_11() <em>PR 11</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPR_11()
	 * @generated
	 * @ordered
	 */
	protected static final String PR_11_EDEFAULT = "PR.Intel.Pentium III";

	/**
	 * The cached value of the '{@link #getPR_11() <em>PR 11</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPR_11()
	 * @generated
	 * @ordered
	 */
	protected String pR_11 = PR_11_EDEFAULT;

	/**
	 * The default value of the '{@link #getPR_12() <em>PR 12</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPR_12()
	 * @generated
	 * @ordered
	 */
	protected static final String PR_12_EDEFAULT = "PR.Intel.Pentium III Xeon";

	/**
	 * The cached value of the '{@link #getPR_12() <em>PR 12</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPR_12()
	 * @generated
	 * @ordered
	 */
	protected String pR_12 = PR_12_EDEFAULT;

	/**
	 * The default value of the '{@link #getPR_13() <em>PR 13</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPR_13()
	 * @generated
	 * @ordered
	 */
	protected static final String PR_13_EDEFAULT = "PR.Intel.Pentium III E";

	/**
	 * The cached value of the '{@link #getPR_13() <em>PR 13</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPR_13()
	 * @generated
	 * @ordered
	 */
	protected String pR_13 = PR_13_EDEFAULT;

	/**
	 * The default value of the '{@link #getPR_14() <em>PR 14</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPR_14()
	 * @generated
	 * @ordered
	 */
	protected static final String PR_14_EDEFAULT = "PR.Intel.Pentium 4";

	/**
	 * The cached value of the '{@link #getPR_14() <em>PR 14</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPR_14()
	 * @generated
	 * @ordered
	 */
	protected String pR_14 = PR_14_EDEFAULT;

	/**
	 * The default value of the '{@link #getPR_15() <em>PR 15</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPR_15()
	 * @generated
	 * @ordered
	 */
	protected static final String PR_15_EDEFAULT = "PR.Intel.Pentium 4 Xeon";

	/**
	 * The cached value of the '{@link #getPR_15() <em>PR 15</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPR_15()
	 * @generated
	 * @ordered
	 */
	protected String pR_15 = PR_15_EDEFAULT;

	/**
	 * The default value of the '{@link #getPR_16() <em>PR 16</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPR_16()
	 * @generated
	 * @ordered
	 */
	protected static final String PR_16_EDEFAULT = "PR.Intel.Pentium 4 Mobile";

	/**
	 * The cached value of the '{@link #getPR_16() <em>PR 16</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPR_16()
	 * @generated
	 * @ordered
	 */
	protected String pR_16 = PR_16_EDEFAULT;

	/**
	 * The default value of the '{@link #getPR_17() <em>PR 17</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPR_17()
	 * @generated
	 * @ordered
	 */
	protected static final String PR_17_EDEFAULT = "PR.Intel.Pentium M";

	/**
	 * The cached value of the '{@link #getPR_17() <em>PR 17</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPR_17()
	 * @generated
	 * @ordered
	 */
	protected String pR_17 = PR_17_EDEFAULT;

	/**
	 * The default value of the '{@link #getPR_18() <em>PR 18</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPR_18()
	 * @generated
	 * @ordered
	 */
	protected static final String PR_18_EDEFAULT = "PR.Intel.Pentium Celeron";

	/**
	 * The cached value of the '{@link #getPR_18() <em>PR 18</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPR_18()
	 * @generated
	 * @ordered
	 */
	protected String pR_18 = PR_18_EDEFAULT;

	/**
	 * The default value of the '{@link #getPR_19() <em>PR 19</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPR_19()
	 * @generated
	 * @ordered
	 */
	protected static final String PR_19_EDEFAULT = "PR.Intel.Itanium";

	/**
	 * The cached value of the '{@link #getPR_19() <em>PR 19</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPR_19()
	 * @generated
	 * @ordered
	 */
	protected String pR_19 = PR_19_EDEFAULT;

	/**
	 * The default value of the '{@link #getPR_50() <em>PR 50</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPR_50()
	 * @generated
	 * @ordered
	 */
	protected static final String PR_50_EDEFAULT = "PR.Motorola.68000";

	/**
	 * The cached value of the '{@link #getPR_50() <em>PR 50</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPR_50()
	 * @generated
	 * @ordered
	 */
	protected String pR_50 = PR_50_EDEFAULT;

	/**
	 * The default value of the '{@link #getPR_51() <em>PR 51</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPR_51()
	 * @generated
	 * @ordered
	 */
	protected static final String PR_51_EDEFAULT = "PR.Motorola.68020";

	/**
	 * The cached value of the '{@link #getPR_51() <em>PR 51</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPR_51()
	 * @generated
	 * @ordered
	 */
	protected String pR_51 = PR_51_EDEFAULT;

	/**
	 * The default value of the '{@link #getPR_52() <em>PR 52</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPR_52()
	 * @generated
	 * @ordered
	 */
	protected static final String PR_52_EDEFAULT = "PR.Motorola.68030";

	/**
	 * The cached value of the '{@link #getPR_52() <em>PR 52</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPR_52()
	 * @generated
	 * @ordered
	 */
	protected String pR_52 = PR_52_EDEFAULT;

	/**
	 * The default value of the '{@link #getPR_53() <em>PR 53</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPR_53()
	 * @generated
	 * @ordered
	 */
	protected static final String PR_53_EDEFAULT = "PR.Motorola.68040";

	/**
	 * The cached value of the '{@link #getPR_53() <em>PR 53</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPR_53()
	 * @generated
	 * @ordered
	 */
	protected String pR_53 = PR_53_EDEFAULT;

	/**
	 * The default value of the '{@link #getPR_54() <em>PR 54</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPR_54()
	 * @generated
	 * @ordered
	 */
	protected static final String PR_54_EDEFAULT = "PR.Motorola.68050";

	/**
	 * The cached value of the '{@link #getPR_54() <em>PR 54</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPR_54()
	 * @generated
	 * @ordered
	 */
	protected String pR_54 = PR_54_EDEFAULT;

	/**
	 * The default value of the '{@link #getPR_55() <em>PR 55</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPR_55()
	 * @generated
	 * @ordered
	 */
	protected static final String PR_55_EDEFAULT = "PR.Motorola.PowerPC 601";

	/**
	 * The cached value of the '{@link #getPR_55() <em>PR 55</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPR_55()
	 * @generated
	 * @ordered
	 */
	protected String pR_55 = PR_55_EDEFAULT;

	/**
	 * The default value of the '{@link #getPR_56() <em>PR 56</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPR_56()
	 * @generated
	 * @ordered
	 */
	protected static final String PR_56_EDEFAULT = "PR.Motorola.PowerPC 603";

	/**
	 * The cached value of the '{@link #getPR_56() <em>PR 56</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPR_56()
	 * @generated
	 * @ordered
	 */
	protected String pR_56 = PR_56_EDEFAULT;

	/**
	 * The default value of the '{@link #getPR_57() <em>PR 57</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPR_57()
	 * @generated
	 * @ordered
	 */
	protected static final String PR_57_EDEFAULT = "PR.Motorola.PowerPC 605";

	/**
	 * The cached value of the '{@link #getPR_57() <em>PR 57</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPR_57()
	 * @generated
	 * @ordered
	 */
	protected String pR_57 = PR_57_EDEFAULT;

	/**
	 * The default value of the '{@link #getPR_58() <em>PR 58</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPR_58()
	 * @generated
	 * @ordered
	 */
	protected static final String PR_58_EDEFAULT = "PR.Motorola.PowerPC G3";

	/**
	 * The cached value of the '{@link #getPR_58() <em>PR 58</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPR_58()
	 * @generated
	 * @ordered
	 */
	protected String pR_58 = PR_58_EDEFAULT;

	/**
	 * The default value of the '{@link #getPR_59() <em>PR 59</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPR_59()
	 * @generated
	 * @ordered
	 */
	protected static final String PR_59_EDEFAULT = "PR.Motorola.PowerPC G4";

	/**
	 * The cached value of the '{@link #getPR_59() <em>PR 59</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPR_59()
	 * @generated
	 * @ordered
	 */
	protected String pR_59 = PR_59_EDEFAULT;

	/**
	 * The default value of the '{@link #getPR_60() <em>PR 60</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPR_60()
	 * @generated
	 * @ordered
	 */
	protected static final String PR_60_EDEFAULT = "PR.Motorola.PowerPC G5";

	/**
	 * The cached value of the '{@link #getPR_60() <em>PR 60</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPR_60()
	 * @generated
	 * @ordered
	 */
	protected String pR_60 = PR_60_EDEFAULT;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated NOT
	 */
	protected HyadesProcessorTypeEnumerationImpl()
	{
		super();
		this.setCategory(Common_ConfigurationFactory.eINSTANCE.createHyadesProcessorTypeCategory());
		this.getValues().add(pR_1);
		this.getValues().add(pR_2);
		this.getValues().add(pR_3);
		this.getValues().add(pR_4);
		this.getValues().add(pR_5);
		this.getValues().add(pR_6);
		this.getValues().add(pR_7);
		this.getValues().add(pR_8);
		this.getValues().add(pR_9);
		this.getValues().add(pR_10);
		this.getValues().add(pR_11);
		this.getValues().add(pR_12);
		this.getValues().add(pR_13);
		this.getValues().add(pR_14);
		this.getValues().add(pR_15);
		this.getValues().add(pR_16);
		this.getValues().add(pR_17);
		this.getValues().add(pR_18);
		this.getValues().add(pR_19);
		this.getValues().add(pR_50);
		this.getValues().add(pR_51);
		this.getValues().add(pR_52);
		this.getValues().add(pR_53);
		this.getValues().add(pR_54);
		this.getValues().add(pR_55);
		this.getValues().add(pR_56);
		this.getValues().add(pR_57);
		this.getValues().add(pR_58);
		this.getValues().add(pR_59);
		this.getValues().add(pR_60);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	protected EClass eStaticClass() {
		return Common_ConfigurationPackage.Literals.HYADES_PROCESSOR_TYPE_ENUMERATION;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getPR_1() {
		return pR_1;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPR_1(String newPR_1) {
		String oldPR_1 = pR_1;
		pR_1 = newPR_1;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_1, oldPR_1, pR_1));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getPR_2() {
		return pR_2;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPR_2(String newPR_2) {
		String oldPR_2 = pR_2;
		pR_2 = newPR_2;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_2, oldPR_2, pR_2));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getPR_3() {
		return pR_3;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPR_3(String newPR_3) {
		String oldPR_3 = pR_3;
		pR_3 = newPR_3;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_3, oldPR_3, pR_3));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getPR_4() {
		return pR_4;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPR_4(String newPR_4) {
		String oldPR_4 = pR_4;
		pR_4 = newPR_4;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_4, oldPR_4, pR_4));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getPR_5() {
		return pR_5;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPR_5(String newPR_5) {
		String oldPR_5 = pR_5;
		pR_5 = newPR_5;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_5, oldPR_5, pR_5));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getPR_6() {
		return pR_6;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPR_6(String newPR_6) {
		String oldPR_6 = pR_6;
		pR_6 = newPR_6;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_6, oldPR_6, pR_6));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getPR_7() {
		return pR_7;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPR_7(String newPR_7) {
		String oldPR_7 = pR_7;
		pR_7 = newPR_7;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_7, oldPR_7, pR_7));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getPR_8() {
		return pR_8;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPR_8(String newPR_8) {
		String oldPR_8 = pR_8;
		pR_8 = newPR_8;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_8, oldPR_8, pR_8));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getPR_9() {
		return pR_9;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPR_9(String newPR_9) {
		String oldPR_9 = pR_9;
		pR_9 = newPR_9;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_9, oldPR_9, pR_9));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getPR_10() {
		return pR_10;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPR_10(String newPR_10) {
		String oldPR_10 = pR_10;
		pR_10 = newPR_10;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_10, oldPR_10, pR_10));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getPR_11() {
		return pR_11;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPR_11(String newPR_11) {
		String oldPR_11 = pR_11;
		pR_11 = newPR_11;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_11, oldPR_11, pR_11));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getPR_12() {
		return pR_12;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPR_12(String newPR_12) {
		String oldPR_12 = pR_12;
		pR_12 = newPR_12;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_12, oldPR_12, pR_12));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getPR_13() {
		return pR_13;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPR_13(String newPR_13) {
		String oldPR_13 = pR_13;
		pR_13 = newPR_13;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_13, oldPR_13, pR_13));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getPR_14() {
		return pR_14;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPR_14(String newPR_14) {
		String oldPR_14 = pR_14;
		pR_14 = newPR_14;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_14, oldPR_14, pR_14));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getPR_15() {
		return pR_15;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPR_15(String newPR_15) {
		String oldPR_15 = pR_15;
		pR_15 = newPR_15;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_15, oldPR_15, pR_15));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getPR_16() {
		return pR_16;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPR_16(String newPR_16) {
		String oldPR_16 = pR_16;
		pR_16 = newPR_16;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_16, oldPR_16, pR_16));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getPR_17() {
		return pR_17;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPR_17(String newPR_17) {
		String oldPR_17 = pR_17;
		pR_17 = newPR_17;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_17, oldPR_17, pR_17));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getPR_18() {
		return pR_18;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPR_18(String newPR_18) {
		String oldPR_18 = pR_18;
		pR_18 = newPR_18;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_18, oldPR_18, pR_18));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getPR_19() {
		return pR_19;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPR_19(String newPR_19) {
		String oldPR_19 = pR_19;
		pR_19 = newPR_19;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_19, oldPR_19, pR_19));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getPR_50() {
		return pR_50;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPR_50(String newPR_50) {
		String oldPR_50 = pR_50;
		pR_50 = newPR_50;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_50, oldPR_50, pR_50));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getPR_51() {
		return pR_51;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPR_51(String newPR_51) {
		String oldPR_51 = pR_51;
		pR_51 = newPR_51;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_51, oldPR_51, pR_51));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getPR_52() {
		return pR_52;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPR_52(String newPR_52) {
		String oldPR_52 = pR_52;
		pR_52 = newPR_52;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_52, oldPR_52, pR_52));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getPR_53() {
		return pR_53;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPR_53(String newPR_53) {
		String oldPR_53 = pR_53;
		pR_53 = newPR_53;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_53, oldPR_53, pR_53));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getPR_54() {
		return pR_54;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPR_54(String newPR_54) {
		String oldPR_54 = pR_54;
		pR_54 = newPR_54;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_54, oldPR_54, pR_54));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getPR_55() {
		return pR_55;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPR_55(String newPR_55) {
		String oldPR_55 = pR_55;
		pR_55 = newPR_55;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_55, oldPR_55, pR_55));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getPR_56() {
		return pR_56;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPR_56(String newPR_56) {
		String oldPR_56 = pR_56;
		pR_56 = newPR_56;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_56, oldPR_56, pR_56));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getPR_57() {
		return pR_57;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPR_57(String newPR_57) {
		String oldPR_57 = pR_57;
		pR_57 = newPR_57;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_57, oldPR_57, pR_57));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getPR_58() {
		return pR_58;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPR_58(String newPR_58) {
		String oldPR_58 = pR_58;
		pR_58 = newPR_58;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_58, oldPR_58, pR_58));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getPR_59() {
		return pR_59;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPR_59(String newPR_59) {
		String oldPR_59 = pR_59;
		pR_59 = newPR_59;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_59, oldPR_59, pR_59));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getPR_60() {
		return pR_60;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPR_60(String newPR_60) {
		String oldPR_60 = pR_60;
		pR_60 = newPR_60;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_60, oldPR_60, pR_60));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Object eGet(int featureID, boolean resolve, boolean coreType) {
		switch (featureID) {
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_1:
				return getPR_1();
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_2:
				return getPR_2();
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_3:
				return getPR_3();
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_4:
				return getPR_4();
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_5:
				return getPR_5();
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_6:
				return getPR_6();
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_7:
				return getPR_7();
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_8:
				return getPR_8();
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_9:
				return getPR_9();
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_10:
				return getPR_10();
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_11:
				return getPR_11();
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_12:
				return getPR_12();
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_13:
				return getPR_13();
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_14:
				return getPR_14();
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_15:
				return getPR_15();
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_16:
				return getPR_16();
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_17:
				return getPR_17();
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_18:
				return getPR_18();
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_19:
				return getPR_19();
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_50:
				return getPR_50();
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_51:
				return getPR_51();
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_52:
				return getPR_52();
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_53:
				return getPR_53();
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_54:
				return getPR_54();
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_55:
				return getPR_55();
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_56:
				return getPR_56();
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_57:
				return getPR_57();
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_58:
				return getPR_58();
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_59:
				return getPR_59();
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_60:
				return getPR_60();
		}
		return super.eGet(featureID, resolve, coreType);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eSet(int featureID, Object newValue) {
		switch (featureID) {
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_1:
				setPR_1((String)newValue);
				return;
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_2:
				setPR_2((String)newValue);
				return;
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_3:
				setPR_3((String)newValue);
				return;
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_4:
				setPR_4((String)newValue);
				return;
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_5:
				setPR_5((String)newValue);
				return;
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_6:
				setPR_6((String)newValue);
				return;
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_7:
				setPR_7((String)newValue);
				return;
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_8:
				setPR_8((String)newValue);
				return;
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_9:
				setPR_9((String)newValue);
				return;
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_10:
				setPR_10((String)newValue);
				return;
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_11:
				setPR_11((String)newValue);
				return;
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_12:
				setPR_12((String)newValue);
				return;
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_13:
				setPR_13((String)newValue);
				return;
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_14:
				setPR_14((String)newValue);
				return;
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_15:
				setPR_15((String)newValue);
				return;
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_16:
				setPR_16((String)newValue);
				return;
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_17:
				setPR_17((String)newValue);
				return;
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_18:
				setPR_18((String)newValue);
				return;
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_19:
				setPR_19((String)newValue);
				return;
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_50:
				setPR_50((String)newValue);
				return;
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_51:
				setPR_51((String)newValue);
				return;
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_52:
				setPR_52((String)newValue);
				return;
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_53:
				setPR_53((String)newValue);
				return;
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_54:
				setPR_54((String)newValue);
				return;
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_55:
				setPR_55((String)newValue);
				return;
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_56:
				setPR_56((String)newValue);
				return;
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_57:
				setPR_57((String)newValue);
				return;
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_58:
				setPR_58((String)newValue);
				return;
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_59:
				setPR_59((String)newValue);
				return;
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_60:
				setPR_60((String)newValue);
				return;
		}
		super.eSet(featureID, newValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eUnset(int featureID) {
		switch (featureID) {
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_1:
				setPR_1(PR_1_EDEFAULT);
				return;
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_2:
				setPR_2(PR_2_EDEFAULT);
				return;
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_3:
				setPR_3(PR_3_EDEFAULT);
				return;
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_4:
				setPR_4(PR_4_EDEFAULT);
				return;
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_5:
				setPR_5(PR_5_EDEFAULT);
				return;
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_6:
				setPR_6(PR_6_EDEFAULT);
				return;
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_7:
				setPR_7(PR_7_EDEFAULT);
				return;
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_8:
				setPR_8(PR_8_EDEFAULT);
				return;
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_9:
				setPR_9(PR_9_EDEFAULT);
				return;
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_10:
				setPR_10(PR_10_EDEFAULT);
				return;
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_11:
				setPR_11(PR_11_EDEFAULT);
				return;
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_12:
				setPR_12(PR_12_EDEFAULT);
				return;
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_13:
				setPR_13(PR_13_EDEFAULT);
				return;
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_14:
				setPR_14(PR_14_EDEFAULT);
				return;
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_15:
				setPR_15(PR_15_EDEFAULT);
				return;
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_16:
				setPR_16(PR_16_EDEFAULT);
				return;
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_17:
				setPR_17(PR_17_EDEFAULT);
				return;
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_18:
				setPR_18(PR_18_EDEFAULT);
				return;
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_19:
				setPR_19(PR_19_EDEFAULT);
				return;
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_50:
				setPR_50(PR_50_EDEFAULT);
				return;
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_51:
				setPR_51(PR_51_EDEFAULT);
				return;
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_52:
				setPR_52(PR_52_EDEFAULT);
				return;
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_53:
				setPR_53(PR_53_EDEFAULT);
				return;
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_54:
				setPR_54(PR_54_EDEFAULT);
				return;
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_55:
				setPR_55(PR_55_EDEFAULT);
				return;
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_56:
				setPR_56(PR_56_EDEFAULT);
				return;
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_57:
				setPR_57(PR_57_EDEFAULT);
				return;
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_58:
				setPR_58(PR_58_EDEFAULT);
				return;
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_59:
				setPR_59(PR_59_EDEFAULT);
				return;
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_60:
				setPR_60(PR_60_EDEFAULT);
				return;
		}
		super.eUnset(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public boolean eIsSet(int featureID) {
		switch (featureID) {
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_1:
				return PR_1_EDEFAULT == null ? pR_1 != null : !PR_1_EDEFAULT.equals(pR_1);
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_2:
				return PR_2_EDEFAULT == null ? pR_2 != null : !PR_2_EDEFAULT.equals(pR_2);
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_3:
				return PR_3_EDEFAULT == null ? pR_3 != null : !PR_3_EDEFAULT.equals(pR_3);
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_4:
				return PR_4_EDEFAULT == null ? pR_4 != null : !PR_4_EDEFAULT.equals(pR_4);
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_5:
				return PR_5_EDEFAULT == null ? pR_5 != null : !PR_5_EDEFAULT.equals(pR_5);
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_6:
				return PR_6_EDEFAULT == null ? pR_6 != null : !PR_6_EDEFAULT.equals(pR_6);
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_7:
				return PR_7_EDEFAULT == null ? pR_7 != null : !PR_7_EDEFAULT.equals(pR_7);
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_8:
				return PR_8_EDEFAULT == null ? pR_8 != null : !PR_8_EDEFAULT.equals(pR_8);
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_9:
				return PR_9_EDEFAULT == null ? pR_9 != null : !PR_9_EDEFAULT.equals(pR_9);
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_10:
				return PR_10_EDEFAULT == null ? pR_10 != null : !PR_10_EDEFAULT.equals(pR_10);
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_11:
				return PR_11_EDEFAULT == null ? pR_11 != null : !PR_11_EDEFAULT.equals(pR_11);
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_12:
				return PR_12_EDEFAULT == null ? pR_12 != null : !PR_12_EDEFAULT.equals(pR_12);
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_13:
				return PR_13_EDEFAULT == null ? pR_13 != null : !PR_13_EDEFAULT.equals(pR_13);
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_14:
				return PR_14_EDEFAULT == null ? pR_14 != null : !PR_14_EDEFAULT.equals(pR_14);
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_15:
				return PR_15_EDEFAULT == null ? pR_15 != null : !PR_15_EDEFAULT.equals(pR_15);
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_16:
				return PR_16_EDEFAULT == null ? pR_16 != null : !PR_16_EDEFAULT.equals(pR_16);
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_17:
				return PR_17_EDEFAULT == null ? pR_17 != null : !PR_17_EDEFAULT.equals(pR_17);
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_18:
				return PR_18_EDEFAULT == null ? pR_18 != null : !PR_18_EDEFAULT.equals(pR_18);
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_19:
				return PR_19_EDEFAULT == null ? pR_19 != null : !PR_19_EDEFAULT.equals(pR_19);
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_50:
				return PR_50_EDEFAULT == null ? pR_50 != null : !PR_50_EDEFAULT.equals(pR_50);
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_51:
				return PR_51_EDEFAULT == null ? pR_51 != null : !PR_51_EDEFAULT.equals(pR_51);
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_52:
				return PR_52_EDEFAULT == null ? pR_52 != null : !PR_52_EDEFAULT.equals(pR_52);
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_53:
				return PR_53_EDEFAULT == null ? pR_53 != null : !PR_53_EDEFAULT.equals(pR_53);
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_54:
				return PR_54_EDEFAULT == null ? pR_54 != null : !PR_54_EDEFAULT.equals(pR_54);
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_55:
				return PR_55_EDEFAULT == null ? pR_55 != null : !PR_55_EDEFAULT.equals(pR_55);
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_56:
				return PR_56_EDEFAULT == null ? pR_56 != null : !PR_56_EDEFAULT.equals(pR_56);
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_57:
				return PR_57_EDEFAULT == null ? pR_57 != null : !PR_57_EDEFAULT.equals(pR_57);
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_58:
				return PR_58_EDEFAULT == null ? pR_58 != null : !PR_58_EDEFAULT.equals(pR_58);
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_59:
				return PR_59_EDEFAULT == null ? pR_59 != null : !PR_59_EDEFAULT.equals(pR_59);
			case Common_ConfigurationPackage.HYADES_PROCESSOR_TYPE_ENUMERATION__PR_60:
				return PR_60_EDEFAULT == null ? pR_60 != null : !PR_60_EDEFAULT.equals(pR_60);
		}
		return super.eIsSet(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		if (eIsProxy()) return super.toString();

		StringBuffer result = new StringBuffer(super.toString());
		result.append(" (PR_1: ");
		result.append(pR_1);
		result.append(", PR_2: ");
		result.append(pR_2);
		result.append(", PR_3: ");
		result.append(pR_3);
		result.append(", PR_4: ");
		result.append(pR_4);
		result.append(", PR_5: ");
		result.append(pR_5);
		result.append(", PR_6: ");
		result.append(pR_6);
		result.append(", PR_7: ");
		result.append(pR_7);
		result.append(", PR_8: ");
		result.append(pR_8);
		result.append(", PR_9: ");
		result.append(pR_9);
		result.append(", PR_10: ");
		result.append(pR_10);
		result.append(", PR_11: ");
		result.append(pR_11);
		result.append(", PR_12: ");
		result.append(pR_12);
		result.append(", PR_13: ");
		result.append(pR_13);
		result.append(", PR_14: ");
		result.append(pR_14);
		result.append(", PR_15: ");
		result.append(pR_15);
		result.append(", PR_16: ");
		result.append(pR_16);
		result.append(", PR_17: ");
		result.append(pR_17);
		result.append(", PR_18: ");
		result.append(pR_18);
		result.append(", PR_19: ");
		result.append(pR_19);
		result.append(", PR_50: ");
		result.append(pR_50);
		result.append(", PR_51: ");
		result.append(pR_51);
		result.append(", PR_52: ");
		result.append(pR_52);
		result.append(", PR_53: ");
		result.append(pR_53);
		result.append(", PR_54: ");
		result.append(pR_54);
		result.append(", PR_55: ");
		result.append(pR_55);
		result.append(", PR_56: ");
		result.append(pR_56);
		result.append(", PR_57: ");
		result.append(pR_57);
		result.append(", PR_58: ");
		result.append(pR_58);
		result.append(", PR_59: ");
		result.append(pR_59);
		result.append(", PR_60: ");
		result.append(pR_60);
		result.append(')');
		return result.toString();
	}

} //HyadesProcessorTypeEnumerationImpl
