/**********************************************************************
 * Copyright (c) 2003, 2009 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 * IBM - Initial API and implementation
 *
 * $Id: TPFInstanceValueImpl.java,v 1.11 2009-05-05 15:49:19 paules Exp $
 **********************************************************************/
 
/*
 * generated using TPTP customized JET templates
 */

package org.eclipse.hyades.models.common.testprofile.impl;

import java.util.Collection;

import org.eclipse.emf.common.notify.NotificationChain;
import org.eclipse.emf.common.util.EList;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.InternalEObject;
import org.eclipse.emf.ecore.util.EObjectWithInverseResolvingEList;
import org.eclipse.emf.ecore.util.InternalEList;
import org.eclipse.hyades.models.common.common.impl.CMNNamedElementImpl;
import org.eclipse.hyades.models.common.testprofile.Common_TestprofilePackage;
import org.eclipse.hyades.models.common.testprofile.TPFCodingRule;
import org.eclipse.hyades.models.common.testprofile.TPFInstanceValue;
import org.eclipse.hyades.models.common.testprofile.TPFLiteralAny;
import org.eclipse.hyades.models.common.testprofile.TPFLiteralAnyorNull;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>TPF Instance Value</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link org.eclipse.hyades.models.common.testprofile.impl.TPFInstanceValueImpl#getLiteralAny <em>Literal Any</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.testprofile.impl.TPFInstanceValueImpl#getLiteralAnyOrNull <em>Literal Any Or Null</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.common.testprofile.impl.TPFInstanceValueImpl#getCoding <em>Coding</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
public class TPFInstanceValueImpl extends CMNNamedElementImpl implements TPFInstanceValue
{
	/**
	 * The cached value of the '{@link #getLiteralAny() <em>Literal Any</em>}' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getLiteralAny()
	 * @generated
	 * @ordered
	 */
	protected EList<TPFLiteralAny> literalAny;

	/**
	 * The cached value of the '{@link #getLiteralAnyOrNull() <em>Literal Any Or Null</em>}' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getLiteralAnyOrNull()
	 * @generated
	 * @ordered
	 */
	protected EList<TPFLiteralAnyorNull> literalAnyOrNull;

	/**
	 * The cached value of the '{@link #getCoding() <em>Coding</em>}' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getCoding()
	 * @generated
	 * @ordered
	 */
	protected EList<TPFCodingRule> coding;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected TPFInstanceValueImpl() {
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	protected EClass eStaticClass() {
		return Common_TestprofilePackage.Literals.TPF_INSTANCE_VALUE;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EList<TPFLiteralAny> getLiteralAny() {
		if (literalAny == null) {
			literalAny = new EObjectWithInverseResolvingEList<TPFLiteralAny>(TPFLiteralAny.class, this, Common_TestprofilePackage.TPF_INSTANCE_VALUE__LITERAL_ANY, Common_TestprofilePackage.TPF_LITERAL_ANY__VALUE);
		}
		return literalAny;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EList<TPFLiteralAnyorNull> getLiteralAnyOrNull() {
		if (literalAnyOrNull == null) {
			literalAnyOrNull = new EObjectWithInverseResolvingEList<TPFLiteralAnyorNull>(TPFLiteralAnyorNull.class, this, Common_TestprofilePackage.TPF_INSTANCE_VALUE__LITERAL_ANY_OR_NULL, Common_TestprofilePackage.TPF_LITERAL_ANYOR_NULL__VALUE);
		}
		return literalAnyOrNull;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EList<TPFCodingRule> getCoding() {
		if (coding == null) {
			coding = new EObjectWithInverseResolvingEList<TPFCodingRule>(TPFCodingRule.class, this, Common_TestprofilePackage.TPF_INSTANCE_VALUE__CODING, Common_TestprofilePackage.TPF_CODING_RULE__VALUE);
		}
		return coding;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@SuppressWarnings("unchecked")
		@Override
	public NotificationChain eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs) {
		switch (featureID) {
			case Common_TestprofilePackage.TPF_INSTANCE_VALUE__LITERAL_ANY:
				return ((InternalEList<InternalEObject>)(InternalEList<?>)getLiteralAny()).basicAdd(otherEnd, msgs);
			case Common_TestprofilePackage.TPF_INSTANCE_VALUE__LITERAL_ANY_OR_NULL:
				return ((InternalEList<InternalEObject>)(InternalEList<?>)getLiteralAnyOrNull()).basicAdd(otherEnd, msgs);
			case Common_TestprofilePackage.TPF_INSTANCE_VALUE__CODING:
				return ((InternalEList<InternalEObject>)(InternalEList<?>)getCoding()).basicAdd(otherEnd, msgs);
		}
		return super.eInverseAdd(otherEnd, featureID, msgs);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public NotificationChain eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs) {
		switch (featureID) {
			case Common_TestprofilePackage.TPF_INSTANCE_VALUE__LITERAL_ANY:
				return ((InternalEList<?>)getLiteralAny()).basicRemove(otherEnd, msgs);
			case Common_TestprofilePackage.TPF_INSTANCE_VALUE__LITERAL_ANY_OR_NULL:
				return ((InternalEList<?>)getLiteralAnyOrNull()).basicRemove(otherEnd, msgs);
			case Common_TestprofilePackage.TPF_INSTANCE_VALUE__CODING:
				return ((InternalEList<?>)getCoding()).basicRemove(otherEnd, msgs);
		}
		return super.eInverseRemove(otherEnd, featureID, msgs);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Object eGet(int featureID, boolean resolve, boolean coreType) {
		switch (featureID) {
			case Common_TestprofilePackage.TPF_INSTANCE_VALUE__LITERAL_ANY:
				return getLiteralAny();
			case Common_TestprofilePackage.TPF_INSTANCE_VALUE__LITERAL_ANY_OR_NULL:
				return getLiteralAnyOrNull();
			case Common_TestprofilePackage.TPF_INSTANCE_VALUE__CODING:
				return getCoding();
		}
		return super.eGet(featureID, resolve, coreType);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@SuppressWarnings("unchecked")
		@Override
	public void eSet(int featureID, Object newValue) {
		switch (featureID) {
			case Common_TestprofilePackage.TPF_INSTANCE_VALUE__LITERAL_ANY:
				getLiteralAny().clear();
				getLiteralAny().addAll((Collection<? extends TPFLiteralAny>)newValue);
				return;
			case Common_TestprofilePackage.TPF_INSTANCE_VALUE__LITERAL_ANY_OR_NULL:
				getLiteralAnyOrNull().clear();
				getLiteralAnyOrNull().addAll((Collection<? extends TPFLiteralAnyorNull>)newValue);
				return;
			case Common_TestprofilePackage.TPF_INSTANCE_VALUE__CODING:
				getCoding().clear();
				getCoding().addAll((Collection<? extends TPFCodingRule>)newValue);
				return;
		}
		super.eSet(featureID, newValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eUnset(int featureID) {
		switch (featureID) {
			case Common_TestprofilePackage.TPF_INSTANCE_VALUE__LITERAL_ANY:
				getLiteralAny().clear();
				return;
			case Common_TestprofilePackage.TPF_INSTANCE_VALUE__LITERAL_ANY_OR_NULL:
				getLiteralAnyOrNull().clear();
				return;
			case Common_TestprofilePackage.TPF_INSTANCE_VALUE__CODING:
				getCoding().clear();
				return;
		}
		super.eUnset(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public boolean eIsSet(int featureID) {
		switch (featureID) {
			case Common_TestprofilePackage.TPF_INSTANCE_VALUE__LITERAL_ANY:
				return literalAny != null && !literalAny.isEmpty();
			case Common_TestprofilePackage.TPF_INSTANCE_VALUE__LITERAL_ANY_OR_NULL:
				return literalAnyOrNull != null && !literalAnyOrNull.isEmpty();
			case Common_TestprofilePackage.TPF_INSTANCE_VALUE__CODING:
				return coding != null && !coding.isEmpty();
		}
		return super.eIsSet(featureID);
	}

} //TPFInstanceValueImpl
