/**********************************************************************
 * Copyright (c) 2005 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: MessageConstants.java,v 1.4 2005-04-27 19:25:00 ewchan Exp $
 *
 * Contributors:
 * IBM - Initial API and implementation
 **********************************************************************/


package org.eclipse.hyades.probekit.editor.internal.core.util;


public final class MessageConstants {
	public final static String _UI_XMLEncoding = "_UI_XMLEncoding";	
	public final static String _UI_OpenEditorError_label = "_UI_OpenEditorError_label"; //$NON-NLS-1$

	public final static String _UI_NewFile_Discard = "_UI_NewFile_Discard"; //$NON-NLS-1$
	public final static String _UI_NewFile_Cancel = "_UI_NewFile_Cancel"; //$NON-NLS-1$
	public final static String _UI_NewFile_ProbePage_Title = "_UI_NewFile_ProbePage_Title"; //$NON-NLS-1$
	public final static String _UI_NewFile_ProbePage_Description = "_UI_NewFile_ProbePage_Description"; //$NON-NLS-1$
	public final static String _UI_NewFile_Wizard_Title = "_UI_NewFile_Wizard_Title"; //$NON-NLS-1$

	public final static String _UI_NewFile_DataPage_Title = "_UI_NewFile_DataPage_Title"; //$NON-NLS-1$
	public final static String _UI_NewFile_DataPage_Description = "_UI_NewFile_DataPage_Description"; //$NON-NLS-1$
	public final static String _UI_NewFile_DataPage_Column1 = "_UI_NewFile_DataPage_Column1"; //$NON-NLS-1$
	public final static String _UI_NewFile_DataPage_Column2 = "_UI_NewFile_DataPage_Column2"; //$NON-NLS-1$
	public final static String _UI_NewFile_DataPage_ItemName = "_UI_NewFile_DataPage_ItemName"; //$NON-NLS-1$
	public final static String _UI_NewFile_DataPage_DataWizard_Title = "_UI_NewFile_DataPage_DataWizard_Title"; //$NON-NLS-1$

	public final static String _UI_NewFile_ProbePage_FileName = "_UI_NewFile_ProbePage_FileName"; //$NON-NLS-1$
	public final static String _UI_NewFile_ProbePage_SourceFolder = "_UI_NewFile_ProbePage_SourceFolder"; //$NON-NLS-1$
	public final static String _UI_NewFile_ProbePage_Browse = "_UI_NewFile_ProbePage_Browse"; //$NON-NLS-1$
	public final static String _UI_NewFile_ProbePage_NoProbe = "_UI_NewFile_ProbePage_NoProbe"; //$NON-NLS-1$
	public final static String _UI_NewFile_ProbePage_Content = "_UI_NewFile_ProbePage_Content"; //$NON-NLS-1$
	public final static String _UI_NewFile_ProbePage_MethodProbe = "_UI_NewFile_ProbePage_MethodProbe"; //$NON-NLS-1$
	public final static String _UI_NewFile_ProbePage_CallsiteProbe = "_UI_NewFile_ProbePage_CallsiteProbe"; //$NON-NLS-1$
	public final static String _UI_NewFile_ProbePage_Fragment = "_UI_NewFile_ProbePage_Fragment"; //$NON-NLS-1$
	public final static String _UI_NewFile_ProbePage_FileNameBad = "_UI_NewFile_ProbePage_FileNameBad"; //$NON-NLS-1$
	public final static String _UI_NewFile_ProbePage_SourceFolderBad = "_UI_NewFile_ProbePage_SourceFolderBad"; //$NON-NLS-1$
	public final static String _UI_NewFile_ProbePage_DataWizard_Title = "_UI_NewFile_ProbePage_DataWizard_Title"; //$NON-NLS-1$
	public final static String _UI_NewFile_ProbePage_DataWizard_Description = "_UI_NewFile_ProbePage_DataWizard_Description"; //$NON-NLS-1$
	public final static String _UI_NewFile_ProbePage_BrowseWizard_Title = "_UI_NewFile_ProbePage_BrowseWizard_Title"; //$NON-NLS-1$
	public final static String _UI_NewFile_ProbePage_BrowseWizard_OkInput = "_UI_NewFile_ProbePage_BrowseWizard_OkInput"; //$NON-NLS-1$
	public final static String _UI_NewFile_ProbePage_BrowseWizard_BadInput = "_UI_NewFile_ProbePage_BrowseWizard_BadInput"; //$NON-NLS-1$
	public final static String _UI_NewFile_ProbePage_DataWizard_DataItem = "_UI_NewFile_ProbePage_DataWizard_DataItem"; //$NON-NLS-1$
	public final static String _UI_NewFile_Callsite_Explanation = "_UI_NewFile_Callsite_Explanation"; //$NON-NLS-1$
	public final static String _UI_NewFile_Method_Explanation = "_UI_NewFile_Method_Explanation"; //$NON-NLS-1$
	public final static String _UI_NewFile_Nothing_Explanation = "_UI_NewFile_Nothing_Explanation"; //$NON-NLS-1$
	public final static String _UI_NewFile_Default_Code = "_UI_NewFile_Default_Code"; //$NON-NLS-1$
	public final static String _UI_NewFile_DataPage_Caveat = "_UI_NewFile_DataPage_Caveat"; //$NON-NLS-1$
	public final static String _UI_NewFile_BeforeCall = "_UI_NewFile_BeforeCall"; //$NON-NLS-1$
	public final static String _UI_NewFile_AfterCall = "_UI_NewFile_AfterCall"; //$NON-NLS-1$
	public final static String _UI_NewFile_Catch = "_UI_NewFile_Catch"; //$NON-NLS-1$
	public final static String _UI_NewFile_Entry = "_UI_NewFile_Entry"; //$NON-NLS-1$
	public final static String _UI_NewFile_ExecutableUnit = "_UI_NewFile_ExecutableUnit"; //$NON-NLS-1$
	public final static String _UI_NewFile_Exit = "_UI_NewFile_Exit"; //$NON-NLS-1$
	public final static String _UI_NewFile_StaticInitializer = "_UI_NewFile_StaticInitializer"; //$NON-NLS-1$
	public final static String _UI_NewFile_ClassName = "_UI_NewFile_ClassName"; //$NON-NLS-1$
	public final static String _UI_NewFile_MethodName = "_UI_NewFile_MethodName"; //$NON-NLS-1$
	public final static String _UI_NewFile_MethodSignature = "_UI_NewFile_MethodSignature"; //$NON-NLS-1$
	public final static String _UI_NewFile_ThisObject = "_UI_NewFile_ThisObject"; //$NON-NLS-1$
	public final static String _UI_NewFile_Args = "_UI_NewFile_Args"; //$NON-NLS-1$
	public final static String _UI_NewFile_ReturnedObject = "_UI_NewFile_ReturnedObject"; //$NON-NLS-1$
	public final static String _UI_NewFile_ExceptionObject = "_UI_NewFile_ExceptionObject"; //$NON-NLS-1$
	public final static String _UI_NewFile_IsFinally = "_UI_NewFile_IsFinally"; //$NON-NLS-1$
	public final static String _UI_NewFile_ClassSourceFile = "_UI_NewFile_ClassSourceFile"; //$NON-NLS-1$
	public final static String _UI_NewFile_MethodNames = "_UI_NewFile_MethodNames"; //$NON-NLS-1$
	public final static String _UI_NewFile_MethodLineTables = "_UI_NewFile_MethodLineTables"; //$NON-NLS-1$
	public final static String _UI_NewFile_MethodNumber = "_UI_NewFile_MethodNumber"; //$NON-NLS-1$
	public final static String _UI_NewFile_ExecutableUnitNumber = "_UI_NewFile_ExecutableUnitNumber"; //$NON-NLS-1$
	public final static String _UI_NewFile_ProbePage_FileNameInUse = "_UI_NewFile_ProbePage_FileNameInUse"; //$NON-NLS-1$

	public final static String _UI_InstrumentWizard_ErrorTitle = "_UI_InstrumentWizard_ErrorTitle"; //$NON-NLS-1$
	public final static String _UI_InstrumentWizard_ErrorLogFile = "_UI_InstrumentWizard_ErrorLogFile"; //$NON-NLS-1$
	public final static String _UI_InstrumentWizard_ErrorGenerate = "_UI_InstrumentWizard_ErrorGenerate"; //$NON-NLS-1$
	public final static String _UI_InstrumentWizard_FromClasses_BadInput = "_UI_InstrumentWizard_FromClasses_BadInput"; //$NON-NLS-1$
	public final static String _UI_InstrumentWizard_FromClasses_OkInput = "_UI_InstrumentWizard_FromClasses_OkInput"; //$NON-NLS-1$
	public final static String _UI_InstrumentWizard_Classes_OkInput = "_UI_InstrumentWizard_Classes_OkInput"; //$NON-NLS-1$
	public final static String _UI_InstrumentWizard_Classes_BadInput = "_UI_InstrumentWizard_Classes_BadInput"; //$NON-NLS-1$
	public final static String _UI_InstrumentWizard_BadProbeFileContainer = "_UI_InstrumentWizard_BadProbeFileContainer"; //$NON-NLS-1$
	public final static String _UI_InstrumentWizard_FromProbeTitle = "_UI_InstrumentWizard_FromProbeTitle"; //$NON-NLS-1$
	public final static String _UI_InstrumentWizard_FromProbeDescription = "_UI_InstrumentWizard_FromProbeDescription"; //$NON-NLS-1$
	public final static String _UI_InstrumentWizard_FromBinaryTitle = "_UI_InstrumentWizard_FromBinaryTitle"; //$NON-NLS-1$
	public final static String _UI_InstrumentWizard_FromBinaryDescription = "_UI_InstrumentWizard_FromBinaryDescription"; //$NON-NLS-1$
	
	public final static String _UI_Imports_type = "_UI_Imports_type"; //$NON-NLS-1$
	public final static String _UI_Targets_type = "_UI_Targets_type"; //$NON-NLS-1$
	public final static String DET_IMPORTS = "DET_IMPORTS"; //$NON-NLS-1$
	public final static String DET_TARGETS = "DET_TARGETS"; //$NON-NLS-1$
	public final static String DET_DATAITEMS = "DET_DATAITEMS"; //$NON-NLS-1$
	
	public final static String _UI_Properties_EList_Attribute = "_UI_Properties_EList_Attribute"; //$NON-NLS-1$
	public final static String _UI_Properties_EList_Description = "_UI_Properties_EList_Description"; //$NON-NLS-1$
	
	public final static String _Operation_Instrument_CannotInstrument = "_Operation_Instrument_CannotInstrument"; //$NON-NLS-1$
	public final static String _Operation_Instrument_GenerateFailed = "_Operation_Instrument_GenerateFailed"; //$NON-NLS-1$
	public final static String _Operation_Instrument_CompileFailed = "_Operation_Instrument_CompileFailed"; //$NON-NLS-1$
	public final static String _Operation_Instrument_InstrumentFailed = "_Operation_Instrument_InstrumentFailed"; //$NON-NLS-1$
	public final static String _Operation_Instrument_SetupFailed = "_Operation_Instrument_SetupFailed"; //$NON-NLS-1$
	public final static String _Operation_Instrument_UnsupportedPlatform = "_Operation_Instrument_UnsupportedPlatform"; //$NON-NLS-1$
	public final static String _Operation_Instrument_BadProbeFile = "_Operation_Instrument_BadProbeFile"; //$NON-NLS-1$
	public final static String _Operation_Instrument_BadElements = "_Operation_Instrument_BadElements"; //$NON-NLS-1$
	
	public final static String _UI_Editor_Syntax_Ok = "_UI_Editor_Syntax_Ok"; //$NON-NLS-1$
	public final static String _UI_Editor_Check_Syntax = "_UI_Editor_Check_Syntax"; //$NON-NLS-1$
	
	public final static String _UI_Button_Edit_Dots = "_UI_Button_Edit_Dots"; //$NON-NLS-1$
	public final static String _UI_Button_Remove = "_UI_Button_Remove"; //$NON-NLS-1$
	public final static String _UI_Button_MoveUp = "_UI_Button_MoveUp"; //$NON-NLS-1$
	public final static String _UI_Button_MoveDown = "_UI_Button_MoveDown"; //$NON-NLS-1$
	public final static String _UI_Button_AddProbe = "_UI_Button_AddProbe"; //$NON-NLS-1$
	public final static String _UI_Button_RemoveProbe = "_UI_Button_RemoveProbe"; //$NON-NLS-1$
	public final static String _UI_Button_Add = "_UI_Button_Add"; //$NON-NLS-1$

	public final static String _UI_Editor_Target_Column1 = "_UI_Editor_Target_Column1"; //$NON-NLS-1$
	public final static String _UI_Editor_Target_Column2 = "_UI_Editor_Target_Column2"; //$NON-NLS-1$
	public final static String _UI_Editor_Target_Column3 = "_UI_Editor_Target_Column3"; //$NON-NLS-1$
	public final static String _UI_Editor_Target_Column4 = "_UI_Editor_Target_Column4"; //$NON-NLS-1$
	public final static String _UI_Editor_Target_Column5 = "_UI_Editor_Target_Column5"; //$NON-NLS-1$	
	public final static String _UI_Editor_Target_Title = "_UI_Editor_Target_Title"; //$NON-NLS-1$
	public final static String _Target_Include = "_Target_Include"; //$NON-NLS-1$
	public final static String _Target_Exclude = "_Target_Exclude"; //$NON-NLS-1$

	public final static String _UI_Editor_Label_Column1 = "_UI_Editor_Label_Column1"; //$NON-NLS-1$
	public final static String _UI_Editor_Label_Column2 = "_UI_Editor_Label_Column2"; //$NON-NLS-1$
	public final static String _UI_Editor_Label_Column3 = "_UI_Editor_Label_Column3"; //$NON-NLS-1$
	public final static String _UI_Editor_Label_DuplicateError = "_UI_Editor_Label_DuplicateError"; //$NON-NLS-1$
	public final static String _UI_Editor_Label_Title = "_UI_Editor_Label_Title"; //$NON-NLS-1$
	
	public final static String _UI_Editor_Probekit_Id = "_UI_Editor_Probekit_Id"; //$NON-NLS-1$
	public final static String _UI_Editor_Probekit_Version = "_UI_Editor_Probekit_Version"; //$NON-NLS-1$

	public final static String _UI_Editor_General_Tab = "_UI_Editor_General_Tab"; //$NON-NLS-1$
	public final static String _UI_Editor_Probes_Tab = "_UI_Editor_Probes_Tab"; //$NON-NLS-1$
	public final static String _UI_Editor_Probekit_NoIdError = "_UI_Editor_Probekit_NoIdError"; //$NON-NLS-1$
	public final static String _UI_Editor_DataPage_ItemNameOrType = "_UI_Editor_DataPage_ItemNameOrType"; //$NON-NLS-1$
	public final static String _UI_Editor_SyntaxError_Title = "_UI_Editor_SyntaxError_Title"; //$NON-NLS-1$
	public final static String _UI_Editor_CheckSyntax_Title = "_UI_Editor_CheckSyntax_Title"; //$NON-NLS-1$
	public final static String _UI_Editor_CheckSyntax_Failed = "_UI_Editor_CheckSyntax_Failed"; //$NON-NLS-1$
	public final static String _UI_Editor_StaticField_BadSyntax = "_UI_Editor_StaticField_BadSyntax"; //$NON-NLS-1$
	public final static String _UI_Editor_SyntaxError_Column1 = "_UI_Editor_SyntaxError_Column1"; //$NON-NLS-1$
	public final static String _UI_Editor_SyntaxError_Column2 = "_UI_Editor_SyntaxError_Column2"; //$NON-NLS-1$
	public final static String _UI_Editor_Cannot_Find_Default_Package = "_UI_Editor_Cannot_Find_Default_Package"; //$NON-NLS-1$

	private MessageConstants() {
	}
}
