/********************************************************************** 
 * Copyright (c) 2008 IBM Corporation and others. 
 * All rights reserved.   This program and the accompanying materials 
 * are made available under the terms of the Eclipse Public License v1.0 
 * which accompanies this distribution, and is available at 
 * http://www.eclipse.org/legal/epl-v10.html 
 * $Id: PasteRefactoringWizard.java,v 1.1 2008-03-20 19:49:52 paules Exp $ 
 * 
 * Contributors: 
 * IBM - Initial API and implementation 
 **********************************************************************/
package org.eclipse.hyades.test.ui.internal.navigator.refactoring;

import org.eclipse.core.resources.IContainer;
import org.eclipse.ltk.core.refactoring.Refactoring;
import org.eclipse.ltk.ui.refactoring.RefactoringWizard;

/**
 * @author Jerome Bozier
 * @version February 26, 2008
 */
public class PasteRefactoringWizard extends RefactoringWizard {
	
	public PasteRefactoringWizard(Refactoring refactoring,Object selected) {
		super(refactoring, DIALOG_BASED_USER_INTERFACE | NONE);

		PasteRefactoring ref = (PasteRefactoring) getRefactoring();
		ref.setDestination((IContainer)selected);

	}
	
	protected void addUserInputPages() {	
	}
	
}
