/*******************************************************************************
 * Copyright (c) 2005 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: ITypedElementProxyNode.java,v 1.3 2005-06-09 09:34:10 jgout Exp $
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.eclipse.hyades.test.ui.navigator;

import org.eclipse.core.runtime.IAdaptable;

/** 
 * A typed proxy node used for test suites, test cases, test components and execution results.
 * @author jgout
 */
public interface ITypedElementProxyNode extends IProxyNode, IAdaptable {
	
	/** 
	 * Returns the type of the node
	 * @return the type of the node
	 */
	public String getType();
	
}
