/**********************************************************************
 * Copyright (c) 2006, 2007 Intel Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: ProfileExtendedTab.java,v 1.5 2007-05-19 00:53:30 jkubasta Exp $
 * 
 * Contributors: 
 * Intel Corporation - Initial API and implementation
 **********************************************************************/
package org.eclipse.hyades.trace.ui.internal.launcher;

import org.eclipse.debug.core.ILaunchConfigurationWorkingCopy;
import org.eclipse.tptp.trace.ui.internal.launcher.core.LauncherUtility;

public class ProfileExtendedTab extends ProfileTab {

	public ProfileExtendedTab(final boolean includeDestinationTab) 
	{
		super(includeDestinationTab);
	}

	public void setDefaults(final ILaunchConfigurationWorkingCopy wc) 
	{
		super.setDefaults(wc);
		LauncherUtility.addExtendedConfigurationDefaults(wc);
	}
}
