/**********************************************************************
 * Copyright (c) 2005, 2006 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: LinkageException.java,v 1.2 2006-02-22 15:28:54 ewchan Exp $
 * 
 * Contributors: 
 * IBM - Initial API and implementation
 **********************************************************************/
package org.eclipse.tptp.platform.profile.server.wst.internal.reflect;

/**
 * This exception indicates that a problem in locating a bundle, class, or method.  It could also mean that an error
 * or exception has occurred in instantiating objects or method invocations.
 * 
 * @author Qiyan Li
 */
public class LinkageException extends Exception {

	private static final long serialVersionUID = -907780976853760016L;
}
