/**********************************************************************
 * Copyright (c) 2006, 2007 Intel Corporation.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: ThreadSleepingTimeColumnLabel.java,v 1.2 2007-03-23 22:43:55 ewchan Exp $
 * 
 **********************************************************************/
package org.eclipse.tptp.trace.jvmti.internal.client.views.columnlabels;

import org.eclipse.hyades.trace.views.util.internal.ThreadDetails;
import org.eclipse.hyades.ui.provisional.context.IContextAttributes;

public class ThreadSleepingTimeColumnLabel extends ThreadDetailsColumnLabel {
	
	protected String getContextAttribute() {
		return IContextAttributes.THREAD_SLEEPING_TIME;
	}

	protected Number getValue(ThreadDetails thread) {
		return new Double(thread.getSleepingTime());
	}	
}
