/*******************************************************************************
 * Copyright (c) 2005, 2006 Intel Corporation.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Guru Nagarajan, Intel - Initial API and implementation
 * $Id: AgentConfigList.h,v 1.3 2006-02-08 21:45:02 akaylor Exp $
 *******************************************************************************/ 

#ifdef _WIN32
	#include <stdio.h>
	#include <stdlib.h>
#else
	#include <dirent.h>
	#include <sys/stat.h>
#endif
#include "tptp/TPTPTypes.h"

#ifdef _WIN32
	#define PLUGIN_DIR "config"
	#define PLUGIN_LOC "..\\test\\testAgentConfig\\plugins"
	#define PLUGIN_FILE "pluginconfig.xml"
#else
    #define PLUGIN_DIR	"config"
    #define PLUGIN_LOC	"../test/testAgentConfig/plugins"
    #define PLUGIN_FILE	"pluginconfig.xml"
#endif

#define fileloc ""
#define DEBUG true
//defined by Windows

#ifdef __cplusplus
extern "C" {
#endif

tptp_int32 parseXMLInfo(char **launchinfo,char *XMLfilename);

#ifdef __cplusplus
}
#endif

