/*******************************************************************************
 * Copyright (c) 2005, 2006 Intel Corporation.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Guru Nagarajan, Intel - Initial API and Implementation 
 * $Id$
 *******************************************************************************/
/*
 * Created on May 2, 2005
 */
package org.eclipse.tptp.platform.execution.client.core.internal.commands;

import org.eclipse.tptp.platform.execution.util.internal.TPTPString;
/**
 * @author gnagaraj
 *
 */
public class TPTPErrorCommand {

	protected long _severity;
	protected TPTPString _errorId=new TPTPString("");
	protected TPTPString _errorString=new TPTPString("");
/**
 * ErrorCommand constructor comment.
 */
public TPTPErrorCommand() {
	super();
	
}
/**
 * Insert the method's description here.
 * Creation date: (11/28/00 11:00:19 PM)
 * @return java.lang.String
 */
public String getErrorString() {
	return _errorString.getData();
}

public String getErrorId() {
	return _errorId.getData();
}

public long getSeverity() {
	return _severity;
}


/**
 * readFromBuffer method comment.
 */
public int readFromBuffer(byte[] buffer, int offset) {
	return 0;
}
/**
 * writeToBuffer method comment.
 */
public int writeToBuffer(byte[] buffer, int offset) {
	return 0;
}
}
