/*******************************************************************************
 * Copyright (c) 2008, 2010 Intel Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Stanislav Polevic, Intel - Initial API and Implementation 
 * 	  
 * $Id: BFParser.java,v 1.4 2010-11-20 19:08:26 jwest Exp $
 *******************************************************************************/
package org.eclipse.hyades.loaders.internal.binary;

import java.io.InputStream;

public interface BFParser {
	public void parseEvents(InputStream inputStream, Offset marker);

	public void parseEvents(byte[] buffer, Offset marker);
	
	public int getNumEventsParsed();

	/** Reset the parsed events value (and any other state data in the parser) */
	public void reset();
}
