/**********************************************************************
 * Copyright (c) 2003, 2009 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 * IBM - Initial API and implementation
 *
 * $Id: Common_TestprofileFactoryImpl.java,v 1.13 2009-05-05 15:49:19 paules Exp $
 **********************************************************************/
 
/*
 * generated using TPTP customized JET templates
 */

package org.eclipse.hyades.models.common.testprofile.impl;

import java.util.Map;

import org.eclipse.emf.common.util.EList;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EDataType;
import org.eclipse.emf.ecore.EObject;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.impl.EFactoryImpl;
import org.eclipse.emf.ecore.plugin.EcorePlugin;
import org.eclipse.hyades.models.common.testprofile.Common_TestprofileFactory;
import org.eclipse.hyades.models.common.testprofile.Common_TestprofilePackage;
import org.eclipse.hyades.models.common.testprofile.EObjectReference;
import org.eclipse.hyades.models.common.testprofile.ITPFExtendedVerdictReason;
import org.eclipse.hyades.models.common.testprofile.TPFArbiter;
import org.eclipse.hyades.models.common.testprofile.TPFBehavior;
import org.eclipse.hyades.models.common.testprofile.TPFCodingRule;
import org.eclipse.hyades.models.common.testprofile.TPFDefault;
import org.eclipse.hyades.models.common.testprofile.TPFDefaultApplication;
import org.eclipse.hyades.models.common.testprofile.TPFDeployment;
import org.eclipse.hyades.models.common.testprofile.TPFExecutionEvent;
import org.eclipse.hyades.models.common.testprofile.TPFExecutionHistory;
import org.eclipse.hyades.models.common.testprofile.TPFExecutionResult;
import org.eclipse.hyades.models.common.testprofile.TPFExecutionStatus;
import org.eclipse.hyades.models.common.testprofile.TPFExecutionType;
import org.eclipse.hyades.models.common.testprofile.TPFInstanceValue;
import org.eclipse.hyades.models.common.testprofile.TPFInvocationEvent;
import org.eclipse.hyades.models.common.testprofile.TPFInvocationReason;
import org.eclipse.hyades.models.common.testprofile.TPFInvocationStatus;
import org.eclipse.hyades.models.common.testprofile.TPFLiteralAny;
import org.eclipse.hyades.models.common.testprofile.TPFLiteralAnyorNull;
import org.eclipse.hyades.models.common.testprofile.TPFLogAction;
import org.eclipse.hyades.models.common.testprofile.TPFLoopEvent;
import org.eclipse.hyades.models.common.testprofile.TPFMessageEvent;
import org.eclipse.hyades.models.common.testprofile.TPFRepositoryRecord;
import org.eclipse.hyades.models.common.testprofile.TPFSUT;
import org.eclipse.hyades.models.common.testprofile.TPFSeverity;
import org.eclipse.hyades.models.common.testprofile.TPFTestCase;
import org.eclipse.hyades.models.common.testprofile.TPFTestComponent;
import org.eclipse.hyades.models.common.testprofile.TPFTestObjective;
import org.eclipse.hyades.models.common.testprofile.TPFTestSuite;
import org.eclipse.hyades.models.common.testprofile.TPFTimedEvent;
import org.eclipse.hyades.models.common.testprofile.TPFTimezone;
import org.eclipse.hyades.models.common.testprofile.TPFTypedEvent;
import org.eclipse.hyades.models.common.testprofile.TPFValidationAction;
import org.eclipse.hyades.models.common.testprofile.TPFVerdict;
import org.eclipse.hyades.models.common.testprofile.TPFVerdictEvent;
import org.eclipse.hyades.models.common.testprofile.TPFVerdictList;
import org.eclipse.hyades.models.common.testprofile.TPFVerdictReason;
import org.eclipse.hyades.models.common.testprofile.TPFWaitEvent;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model <b>Factory</b>.
 * <!-- end-user-doc -->
 * @generated
 */
public class Common_TestprofileFactoryImpl extends EFactoryImpl implements Common_TestprofileFactory
{
	/**
	 * Creates the default factory implementation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public static Common_TestprofileFactory init() {
		try {
			Common_TestprofileFactory theCommon_TestprofileFactory = (Common_TestprofileFactory)EPackage.Registry.INSTANCE.getEFactory("http://www.eclipse.org/hyades/models/common/testprofile.xmi"); 
			if (theCommon_TestprofileFactory != null) {
				return theCommon_TestprofileFactory;
			}
		}
		catch (Exception exception) {
			EcorePlugin.INSTANCE.log(exception);
		}
		return new Common_TestprofileFactoryImpl();
	}

	/**
	 * Creates an instance of the factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Common_TestprofileFactoryImpl() {
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public EObject create(EClass eClass) {
		switch (eClass.getClassifierID()) {
			case Common_TestprofilePackage.TPF_DEPLOYMENT: return createTPFDeployment();
			case Common_TestprofilePackage.TPF_LITERAL_ANYOR_NULL: return createTPFLiteralAnyorNull();
			case Common_TestprofilePackage.TPF_LITERAL_ANY: return createTPFLiteralAny();
			case Common_TestprofilePackage.TPF_INSTANCE_VALUE: return createTPFInstanceValue();
			case Common_TestprofilePackage.TPF_EXECUTION_RESULT: return createTPFExecutionResult();
			case Common_TestprofilePackage.TPF_LOG_ACTION: return createTPFLogAction();
			case Common_TestprofilePackage.TPF_DEFAULT: return createTPFDefault();
			case Common_TestprofilePackage.TPF_DEFAULT_APPLICATION: return createTPFDefaultApplication();
			case Common_TestprofilePackage.TPF_BEHAVIOR: return createTPFBehavior();
			case Common_TestprofilePackage.TPF_TEST_CASE: return createTPFTestCase();
			case Common_TestprofilePackage.TPF_ARBITER: return createTPFArbiter();
			case Common_TestprofilePackage.TPF_CODING_RULE: return createTPFCodingRule();
			case Common_TestprofilePackage.TPFSUT: return createTPFSUT();
			case Common_TestprofilePackage.TPF_TEST_SUITE: return createTPFTestSuite();
			case Common_TestprofilePackage.TPF_TEST_OBJECTIVE: return createTPFTestObjective();
			case Common_TestprofilePackage.TPF_TEST_COMPONENT: return createTPFTestComponent();
			case Common_TestprofilePackage.TPF_TIMEZONE: return createTPFTimezone();
			case Common_TestprofilePackage.TPF_VALIDATION_ACTION: return createTPFValidationAction();
			case Common_TestprofilePackage.TPF_EXECUTION_HISTORY: return createTPFExecutionHistory();
			case Common_TestprofilePackage.TPF_EXECUTION_EVENT: return createTPFExecutionEvent();
			case Common_TestprofilePackage.TPF_EXECUTION_STATUS: return createTPFExecutionStatus();
			case Common_TestprofilePackage.TPF_INVOCATION_EVENT: return createTPFInvocationEvent();
			case Common_TestprofilePackage.TPF_VERDICT_EVENT: return createTPFVerdictEvent();
			case Common_TestprofilePackage.TPF_MESSAGE_EVENT: return createTPFMessageEvent();
			case Common_TestprofilePackage.TPF_TYPED_EVENT: return createTPFTypedEvent();
			case Common_TestprofilePackage.TPF_LOOP_EVENT: return createTPFLoopEvent();
			case Common_TestprofilePackage.TPF_TIMED_EVENT: return createTPFTimedEvent();
			case Common_TestprofilePackage.TPF_WAIT_EVENT: return createTPFWaitEvent();
			case Common_TestprofilePackage.EOBJECT_REFERENCE: return createEObjectReference();
			case Common_TestprofilePackage.TPF_VERDICT_LIST: return createTPFVerdictList();
			case Common_TestprofilePackage.TPF_REASON_TO_VERDICT_MAP_ENTRY: return (EObject)createTPFReasonToVerdictMapEntry();
			case Common_TestprofilePackage.TPF_EXTENDED_REASON_TO_VERDICT_MAP_ENTRY: return (EObject)createTPFExtendedReasonToVerdictMapEntry();
			case Common_TestprofilePackage.TPF_REPOSITORY_RECORD: return createTPFRepositoryRecord();
			default:
				throw new IllegalArgumentException("The class '" + eClass.getName() + "' is not a valid classifier");
		}
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Object createFromString(EDataType eDataType, String initialValue) {
		switch (eDataType.getClassifierID()) {
			case Common_TestprofilePackage.TPF_VERDICT:
				return createTPFVerdictFromString(eDataType, initialValue);
			case Common_TestprofilePackage.TPF_EXECUTION_TYPE:
				return createTPFExecutionTypeFromString(eDataType, initialValue);
			case Common_TestprofilePackage.TPF_SEVERITY:
				return createTPFSeverityFromString(eDataType, initialValue);
			case Common_TestprofilePackage.TPF_INVOCATION_STATUS:
				return createTPFInvocationStatusFromString(eDataType, initialValue);
			case Common_TestprofilePackage.TPF_VERDICT_REASON:
				return createTPFVerdictReasonFromString(eDataType, initialValue);
			case Common_TestprofilePackage.TPF_INVOCATION_REASON:
				return createTPFInvocationReasonFromString(eDataType, initialValue);
			default:
				throw new IllegalArgumentException("The datatype '" + eDataType.getName() + "' is not a valid classifier");
		}
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String convertToString(EDataType eDataType, Object instanceValue) {
		switch (eDataType.getClassifierID()) {
			case Common_TestprofilePackage.TPF_VERDICT:
				return convertTPFVerdictToString(eDataType, instanceValue);
			case Common_TestprofilePackage.TPF_EXECUTION_TYPE:
				return convertTPFExecutionTypeToString(eDataType, instanceValue);
			case Common_TestprofilePackage.TPF_SEVERITY:
				return convertTPFSeverityToString(eDataType, instanceValue);
			case Common_TestprofilePackage.TPF_INVOCATION_STATUS:
				return convertTPFInvocationStatusToString(eDataType, instanceValue);
			case Common_TestprofilePackage.TPF_VERDICT_REASON:
				return convertTPFVerdictReasonToString(eDataType, instanceValue);
			case Common_TestprofilePackage.TPF_INVOCATION_REASON:
				return convertTPFInvocationReasonToString(eDataType, instanceValue);
			default:
				throw new IllegalArgumentException("The datatype '" + eDataType.getName() + "' is not a valid classifier");
		}
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TPFDeployment createTPFDeployment() {
		TPFDeploymentImpl tpfDeployment = new TPFDeploymentImpl();
		return tpfDeployment;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TPFLiteralAnyorNull createTPFLiteralAnyorNull() {
		TPFLiteralAnyorNullImpl tpfLiteralAnyorNull = new TPFLiteralAnyorNullImpl();
		return tpfLiteralAnyorNull;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TPFLiteralAny createTPFLiteralAny() {
		TPFLiteralAnyImpl tpfLiteralAny = new TPFLiteralAnyImpl();
		return tpfLiteralAny;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TPFInstanceValue createTPFInstanceValue() {
		TPFInstanceValueImpl tpfInstanceValue = new TPFInstanceValueImpl();
		return tpfInstanceValue;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TPFExecutionResult createTPFExecutionResult() {
		TPFExecutionResultImpl tpfExecutionResult = new TPFExecutionResultImpl();
		return tpfExecutionResult;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TPFLogAction createTPFLogAction() {
		TPFLogActionImpl tpfLogAction = new TPFLogActionImpl();
		return tpfLogAction;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TPFDefault createTPFDefault() {
		TPFDefaultImpl tpfDefault = new TPFDefaultImpl();
		return tpfDefault;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TPFDefaultApplication createTPFDefaultApplication() {
		TPFDefaultApplicationImpl tpfDefaultApplication = new TPFDefaultApplicationImpl();
		return tpfDefaultApplication;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TPFBehavior createTPFBehavior() {
		TPFBehaviorImpl tpfBehavior = new TPFBehaviorImpl();
		return tpfBehavior;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TPFTestCase createTPFTestCase() {
		TPFTestCaseImpl tpfTestCase = new TPFTestCaseImpl();
		return tpfTestCase;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TPFArbiter createTPFArbiter() {
		TPFArbiterImpl tpfArbiter = new TPFArbiterImpl();
		return tpfArbiter;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TPFCodingRule createTPFCodingRule() {
		TPFCodingRuleImpl tpfCodingRule = new TPFCodingRuleImpl();
		return tpfCodingRule;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TPFSUT createTPFSUT() {
		TPFSUTImpl tpfsut = new TPFSUTImpl();
		return tpfsut;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TPFTestSuite createTPFTestSuite() {
		TPFTestSuiteImpl tpfTestSuite = new TPFTestSuiteImpl();
		return tpfTestSuite;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TPFTestObjective createTPFTestObjective() {
		TPFTestObjectiveImpl tpfTestObjective = new TPFTestObjectiveImpl();
		return tpfTestObjective;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TPFTestComponent createTPFTestComponent() {
		TPFTestComponentImpl tpfTestComponent = new TPFTestComponentImpl();
		return tpfTestComponent;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TPFTimezone createTPFTimezone() {
		TPFTimezoneImpl tpfTimezone = new TPFTimezoneImpl();
		return tpfTimezone;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TPFValidationAction createTPFValidationAction() {
		TPFValidationActionImpl tpfValidationAction = new TPFValidationActionImpl();
		return tpfValidationAction;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TPFExecutionHistory createTPFExecutionHistory() {
		TPFExecutionHistoryImpl tpfExecutionHistory = new TPFExecutionHistoryImpl();
		return tpfExecutionHistory;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TPFExecutionEvent createTPFExecutionEvent() {
		TPFExecutionEventImpl tpfExecutionEvent = new TPFExecutionEventImpl();
		return tpfExecutionEvent;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TPFExecutionStatus createTPFExecutionStatus() {
		TPFExecutionStatusImpl tpfExecutionStatus = new TPFExecutionStatusImpl();
		return tpfExecutionStatus;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TPFInvocationEvent createTPFInvocationEvent() {
		TPFInvocationEventImpl tpfInvocationEvent = new TPFInvocationEventImpl();
		return tpfInvocationEvent;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TPFVerdictEvent createTPFVerdictEvent() {
		TPFVerdictEventImpl tpfVerdictEvent = new TPFVerdictEventImpl();
		return tpfVerdictEvent;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TPFMessageEvent createTPFMessageEvent() {
		TPFMessageEventImpl tpfMessageEvent = new TPFMessageEventImpl();
		return tpfMessageEvent;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TPFTypedEvent createTPFTypedEvent() {
		TPFTypedEventImpl tpfTypedEvent = new TPFTypedEventImpl();
		return tpfTypedEvent;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TPFLoopEvent createTPFLoopEvent() {
		TPFLoopEventImpl tpfLoopEvent = new TPFLoopEventImpl();
		return tpfLoopEvent;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TPFTimedEvent createTPFTimedEvent() {
		TPFTimedEventImpl tpfTimedEvent = new TPFTimedEventImpl();
		return tpfTimedEvent;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TPFWaitEvent createTPFWaitEvent() {
		TPFWaitEventImpl tpfWaitEvent = new TPFWaitEventImpl();
		return tpfWaitEvent;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EObjectReference createEObjectReference() {
		EObjectReferenceImpl eObjectReference = new EObjectReferenceImpl();
		return eObjectReference;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TPFVerdictList createTPFVerdictList() {
		TPFVerdictListImpl tpfVerdictList = new TPFVerdictListImpl();
		return tpfVerdictList;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Map.Entry<EList<TPFVerdictReason>, TPFVerdict> createTPFReasonToVerdictMapEntry() {
		TPFReasonToVerdictMapEntryImpl tpfReasonToVerdictMapEntry = new TPFReasonToVerdictMapEntryImpl();
		return tpfReasonToVerdictMapEntry;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Map.Entry<EList<ITPFExtendedVerdictReason>, TPFVerdict> createTPFExtendedReasonToVerdictMapEntry() {
		TPFExtendedReasonToVerdictMapEntryImpl tpfExtendedReasonToVerdictMapEntry = new TPFExtendedReasonToVerdictMapEntryImpl();
		return tpfExtendedReasonToVerdictMapEntry;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TPFRepositoryRecord createTPFRepositoryRecord() {
		TPFRepositoryRecordImpl tpfRepositoryRecord = new TPFRepositoryRecordImpl();
		return tpfRepositoryRecord;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TPFVerdict createTPFVerdictFromString(EDataType eDataType, String initialValue) {
		TPFVerdict result = TPFVerdict.get(initialValue);
		if (result == null) throw new IllegalArgumentException("The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
		return result;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String convertTPFVerdictToString(EDataType eDataType, Object instanceValue) {
		return instanceValue == null ? null : instanceValue.toString();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TPFExecutionType createTPFExecutionTypeFromString(EDataType eDataType, String initialValue) {
		TPFExecutionType result = TPFExecutionType.get(initialValue);
		if (result == null) throw new IllegalArgumentException("The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
		return result;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String convertTPFExecutionTypeToString(EDataType eDataType, Object instanceValue) {
		return instanceValue == null ? null : instanceValue.toString();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TPFSeverity createTPFSeverityFromString(EDataType eDataType, String initialValue) {
		TPFSeverity result = TPFSeverity.get(initialValue);
		if (result == null) throw new IllegalArgumentException("The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
		return result;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String convertTPFSeverityToString(EDataType eDataType, Object instanceValue) {
		return instanceValue == null ? null : instanceValue.toString();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TPFInvocationStatus createTPFInvocationStatusFromString(EDataType eDataType, String initialValue) {
		TPFInvocationStatus result = TPFInvocationStatus.get(initialValue);
		if (result == null) throw new IllegalArgumentException("The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
		return result;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String convertTPFInvocationStatusToString(EDataType eDataType, Object instanceValue) {
		return instanceValue == null ? null : instanceValue.toString();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TPFVerdictReason createTPFVerdictReasonFromString(EDataType eDataType, String initialValue) {
		TPFVerdictReason result = TPFVerdictReason.get(initialValue);
		if (result == null) throw new IllegalArgumentException("The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
		return result;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String convertTPFVerdictReasonToString(EDataType eDataType, Object instanceValue) {
		return instanceValue == null ? null : instanceValue.toString();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TPFInvocationReason createTPFInvocationReasonFromString(EDataType eDataType, String initialValue) {
		TPFInvocationReason result = TPFInvocationReason.get(initialValue);
		if (result == null) throw new IllegalArgumentException("The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
		return result;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String convertTPFInvocationReasonToString(EDataType eDataType, Object instanceValue) {
		return instanceValue == null ? null : instanceValue.toString();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Common_TestprofilePackage getCommon_TestprofilePackage() {
		return (Common_TestprofilePackage)getEPackage();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @deprecated
	 * @generated
	 */
	@Deprecated
	public static Common_TestprofilePackage getPackage() {
		return Common_TestprofilePackage.eINSTANCE;
	}

} //Common_TestprofileFactoryImpl
