/*******************************************************************************
 * Copyright (c) 2005 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: INamedElementPropertySource.java,v 1.2 2005-02-25 22:17:54 hleung Exp $
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.eclipse.hyades.test.ui.adapter;

import org.eclipse.ui.views.properties.IPropertySource;

/** Interface that should be implemented in the property source extension point:
 * org.eclipse.test.ui.propertySourceExtension
 * 
 * @author jgout
 */
public interface INamedElementPropertySource {
	
	public IPropertySource getPropertySource(Object adaptableObject);
}
