/**********************************************************************
 * Copyright (c) 2005, 2007 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: SuspendAction.java,v 1.7 2007-05-03 01:34:57 paules Exp $
 * 
 * Contributors: 
 * IBM - Initial API and implementation
 **********************************************************************/
package org.eclipse.hyades.test.ui.internal.navigator.action;

import org.eclipse.hyades.execution.core.IExecutor;
import org.eclipse.hyades.test.ui.internal.resources.UiPluginResourceBundle;
import org.eclipse.hyades.test.ui.internal.util.ContextIds;
import org.eclipse.hyades.ui.util.IDisposable;

public class SuspendAction 
extends ControlEventAction implements IDisposable
{
	public SuspendAction()
	{
		super(IExecutor.CONTROL_EVENT_SUSPEND, UiPluginResourceBundle.SUSPEND_TEXT, ContextIds.SUSPEND_ACT); 
	}
	
}
