/**********************************************************************
 * Copyright (c) 2005 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: ContextIds.java,v 1.1 2005-07-22 14:49:35 hleung Exp $
 * 
 * Contributors: 
 * IBM - Initial API and implementation
 **********************************************************************/
package org.eclipse.hyades.uml2sd.trace.loaders.internal;

import org.eclipse.hyades.trace.views.internal.TraceUIPlugin;

public interface ContextIds {
	
	public static final String PLUGIN_ID = TraceUIPlugin.getId();
	
	public static final String INTERACTION_VIEW = PLUGIN_ID + ".triv0000"; //$NON-NLS-1$
	public static final String TRACE_INTERACTION_PREF = PLUGIN_ID + ".trpp0000"; //$NON-NLS-1$
}
