/**********************************************************************
 * Copyright (c) 2005, 2006 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: Print.java,v 1.2 2006-09-20 20:56:26 ewchan Exp $
 * 
 * Contributors: 
 * IBM - Initial API and implementation
 **********************************************************************/
package org.eclipse.hyades.uml2sd.ui.actions;

import org.eclipse.hyades.uml2sd.ui.view.SDView;
import org.eclipse.jface.action.Action;


public class Print extends Action{
	
	SDView view;
	
	public Print(SDView v)
	{
		super("Printaa");//$NON-NLS-1$
		view=v;
	}

	
	public void run()
	{
		if (view == null)
			return;
		if (view.getSDWidget()==null)
			return;
		view.getSDWidget().print();
	}
}
