/**********************************************************************
 * Copyright (c) 2007, 2008 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: Messages.java,v 1.3 2008-01-11 19:29:01 paules Exp $
 * 
 * Contributors: 
 * IBM - Initial API and implementation
 **********************************************************************/
package org.eclipse.hyades.test.core.testservices.resources;

import org.eclipse.osgi.util.NLS;

/**
 * Test services level resource bundle.
 * <p>
 * 
 * 
 * @author      Paul E. Slauenwhite
 * @version     March 21, 2007
 * @since       March 21, 2007
 */
public final class Messages extends NLS {

	private static final String BUNDLE_NAME = "org.eclipse.hyades.test.core.testservices.resources.messages";//$NON-NLS-1$

	private Messages() {
		// Do not instantiate
	}

	public static String WorkspaceResourceProviderService_BAD_PARAMS;
	public static String WorkspaceResourceProviderService_COPY_FAILED;
	public static String WorkspaceResourceProviderService_TEMP_COPY_FAILED;
	public static String WorkspaceResourceProviderService_NO_FILEMANAGER;
	public static String WorkspaceResourceProviderService_SOURCE_FILE_DNE;
	public static String WorkspaceResourceProviderService_SOURCE_FILE_DIRECTORY;

	static {
		NLS.initializeMessages(BUNDLE_NAME, Messages.class);
	}
}